<?php
/*== Portal System=============================================================
Copyright 2002 by Christian Berg

Code based on PHP-NUKE Web Portal System Copyright (c) 2002 by
Francisco Burzi (fbc@mandrakesoft.com) http://phpnuke.org

This program is free software. You can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 or any higher Version
of the License.
=============================================================================*/

/**
* The Admin Console.
* @package admin
* @author Christian Berg
* @version $revision$
*/

/** include the mainfunctions file */
define('ADMIN_LOADED', TRUE);
require_once("includes/mainfile.inc.php");
require_once("includes/admin_functions.inc.php");
$neTheme->setTemplate('admin.tpl');
//neGetLang('admin');
if (isset($HTTP_POST_VARS['op'])) {
    @$neOp = $HTTP_POST_VARS['op'];
} else {
    @$neOp = $HTTP_GET_VARS['op'];
}

if (isset($HTTP_POST_VARS['mod'])) {
    $neModuleName = (string) $HTTP_POST_VARS['mod'];
} elseif (isset($HTTP_GET_VARS['mod'])) {
    $neModuleName = (string) $HTTP_GET_VARS['mod'];
} else {
    $neModuleName = 'module-admin';
}
$neModuleLoader = 'admin.php';


/*==Admin Module Loader======================================================*/
/*Only proceed if the Module is set*/
if( $neSession->IsAdmin() ) {
    $strModuleFile = 'modules/'.$neModuleName.'/index.php';
    /*Hack Check: if the modulename contains a "/" or a "." Abort.*/
    if ( preg_match("/(\.|\/)/",$neModuleName) ){
        echo "Hackalarm!!!";
        die();
    }
    if (file_exists($strModuleFile)) {
        include($strModuleFile);
    } else {
        $neTheme->drawErrorpage(
            neTranslate('title-module_is_inactive'),
            neTranslate('message-module_is_inactive')
        );
    }

/*If not an Admin*/
} else {
    switch ($neOp) {
    case 'check_login':
        if ( isset($_POST['remember']) ) {
            $bolRemember = true;   
        } else {
            $bolRemember = false;   
        }
        checkAdminLogin($_POST['uname'],$_POST['pass'],$bolRemember);
        break;
    default:
        displayAdminLogin();
        break;
    }
}
?>