<?php
/*==NukeEvent Portal System====================================================
Copyright 2002 by Christian Berg

Code based on PHP-NUKE Web Portal System Copyright (c) 2002 by
Francisco Burzi (fbc@mandrakesoft.com) http://phpnuke.org

This program is free software. You can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 or any higher Version
of the License.
============================================================================*/

/**
* This is the legnedary Main-File.
* This File checks for Security, loads the global Variable Scope.
* Initializes the NukeEvent-API, the SQL-Layer and watches DBZ if there is
* nothing to do. ;)
*
* @package nukeevent
* @author $Author: x-eniac $
* @version $Revision: 1.4 $
*/


/*Benchmarking*/
$timeparts = explode(' ',microtime());
$starttime = $timeparts[1].substr($timeparts[0],1);

/**
*define Constants for NukeEvent
*/
define('BLOCK_LEFT', 1);
define('BLOCK_CENTER', 2);
define('BLOCK_RIGHT', 3);
define('BLOCK_ONLYADMIN', 0);
define('BLOCK_ONLYREGISTED', 1);
define('BLOCK_ALLUSERS', 2);
define('BLOCK_BLOCKMODULE', 0);
define('BLOCK_RSSFEED', 1);
define('BLOCK_HTMLBLOCK', 2);

define('DATA_PATH','data/');
define('IMAGE_PATH','images/');
define('INCLUDE_PATH','includes/');
define('MODULES_PATH','modules/');
define('THEME_PATH','themes/');
/**
* load the Config File.
*/
require_once('config.inc.php');

/* Change the includepath if needet*/
if ($neConfig['include']['change'] == true) {
    ini_set('include_path', $neConfig['include']['path']);
}

/* Change the includepath if needet*/
if ($neConfig['include']['change'] == true) {
    ini_set('track_vars', true);
    ini_set('register_globals', false);
    ini_set('register_long_arrays', false);
}

/**
* include the common API Functions.
*/
require_once(INCLUDE_PATH.'/functions.inc.php');
require_once(INCLUDE_PATH.'/session.class.php');
require_once(INCLUDE_PATH.'/theme.class.php');

/**
* include the debug fetures if debug-enabled is set to true.
*/
if ( $neConfig['debug']['enabled'] == true) {   
    error_reporting(E_ALL); //Report all Errors
    include_once(INCLUDE_PATH.'/debug.inc.php');
    set_error_handler("neErrorHandler");
} else {
    error_reporting(0);
}

/**
 * load the DB-Class from the PEAR Repository.
 * @see http://pear.php.net
 */
require_once('DB.php');

/**
 * load the HTML_BBCodeParser class from the PEAR Repository.
 * @see http://pear.php.net
 */
require_once('HTML/Template/ITX.php');

/**
 * load the HTML_Template_ITX Template Class from the PEAR Repository.
 * @see http://pear.php.net
 */
require_once('HTML/BBCodeParser.php');

/*Connect to the Database*/
$neDb = DB::connect($neConfig['db']['uri']);

/*Put an Error if Connection fails*/
if ( DB::isError($neDb)) {
    echo $neDb->GetMessage();
    echo neTranlsate('text-db_connetcion_error');
    die();
}

$neSession = new NukeEventSession();
include_once(THEME_PATH.$neSession->getTheme().'/theme.class.php');
$neTheme = new NukeEventTheme($neSession->getTheme()) or die('cant init theme');
neGetLang('nukeevent');

ob_start();
?>
