<?php
/*==NukeEvent Portal System====================================================
Copyright 2002 by Christian Berg

Code based on PHP-NUKE Web Portal System Copyright (c) 2002 by
Francisco Burzi (fbc@mandrakesoft.com) http://phpnuke.org

This program is free software. You can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 or any higher Version
of the License.
=============================================================================*/

function showSubmit()
{
    global $neTheme, $neModuleName;
    $tpl = $neTheme->getTemplate($neModuleName,'feedback_send.tpl');
    $tpl->touchBlock('form');
    $tpl->show();
    $neTheme->drawSite();
}


/**
* The Functions File for the Jirca Module:
*
* @package nukeevent.modules.jirca
* @author $Author: xeniac $
* @version $Revision: 1.1 $
*/

function submitContact($strFrom,$strSubject,$strMessage)
{
    global $neTheme,$neConfig;
    $errors = 0;
    $strErrors = '';
    if ( empty($strFrom) ) {
        echo neTranslate('no_sender').'<br />';
        $errors++;
    } 
    if ( empty($strSubject) ) {
        echo neTranslate('no_subject').'<br />';
        $errors++;
    } 
    if ( empty($strMessage) ) {
        echo neTranslate('no_message').'<br />';
        $errors++;
    } 
    if ($errors > 0) {
        showSubmitForm($strFrom,$strSubject,$strMessage);
    } else {
        if ( mail($neConfig['notify']['email'],$strSubject,$strMessage,
             'From: '.$neConfig['notify']['from']."\r\n"
            ."Reply-To: $strFrom\r\n"
            ."X-Mailer: PHP/" . phpversion() 
           ) )
        {
            neRedirect('index.php?mod=contact&op=show_submit');
        }
    }   
}

/**
*Show the Submit Form.
*/
function showSubmitForm($strFrom='',$strSubject='',$strMessage='')
{
    global $neConfig, $neDb, $neTheme, $neSession,$neModuleName;

    $tpl = $neTheme->getTemplate($neModuleName,'contactform.tpl');
    $tpl->loadTemplateFile("login.html");
    $tpl->setVariable(array(
        'FORM_ACTION' => 'index.php?mod='.$neModuleName,
        'OP' => 'submit',
        'FROM' => $strFrom,
        'SUBJECT' => $strSubject,
        'MESSAGE' => $strMessage
    ));
    $tpl->performCallback();
    $tpl->show();
    $neTheme->drawSite(neTranslate('contact_form'));
}
?>
