<?php
function drawAddCategory($intParrentId)
{
    global $neTheme,$neConfig,$neDb;
    $tpl = $neTheme->getTemplate('webdir','edit_category.tpl');
    $tpl->setVariable(array(
        'LABEL_ADD_CATEGORY' => neTranslate('add_category'),
        'LABEL_PARENT_CATEGORY' => neTranslate('parent_category'),
        'LABEL_CATEGORY_NAME' => neTranslate('gategory_name'),
        'LABEL_DESCRIPTION' => neTranslate('description'),
        'TRAIL' => getBreadcrumbs($intParrentId),
        'PARENT_ID' => $intParrentId,
        'ACTION' => 'submit_add_cat',
     ));
    $tpl->show();
    $neTheme->drawSite();
}

function submitAddCategory($arrFormdata)
{
    global $neConfig,$neDb;
    $strQuery = 'SELECT cat_id FROM '.$neConfig['db']['prefix'].'_webdir_categories ORDER BY cat_id DESC LIMIT 1';
    $intId = $neDb->getOne($strQuery);
    neGetDbError($intId,__LINE__,__FILE__,$strQuery);
    $intId += (int) 1;
    $strQuery  = 'INSERT INTO '.$neConfig['db']['prefix'].'_webdir_categories ';
    $strQuery .= '(cat_id,cat_name,parent,cat_desc,symbolic,target) ';
    $strQuery .= 'VALUES (';
    $strQuery .= $neDb->quote($intId).',';
    $strQuery .= $neDb->quote(neCheckText($arrFormdata['name'])).',';
    $strQuery .= $neDb->quote(neCheckText($arrFormdata['parent'])).',';
    $strQuery .= $neDb->quote(neCheckText($arrFormdata['description'])).',';
    $strQuery .= '0,';
    $strQuery .= 'NULL';
    $strQuery .=')';
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
}

function drawAddLink($intCatId)
{
}


function approveLink($intLinkId)
{
}


function disapproveLink($intLinkId)
{
}


function deleteLink($intLinkId)
{
}


function displayEditLink($intLinkId)
{
}
?>