<?php
/**
* Draw the Main Indexsite with all Toplevel Categories.
*
* The Main Indexsite shows all toplevel categories.
* @global string $neModuleName
* @global array  $neConfig
* @global handle $neDb
*/
function drawMainsite()
{
    global $neModuleName, $neConfig, $neDb, $neTheme, $neSession;
	
    /*Load the Template*/
    $tpl = $neTheme->getTemplate('webdir','main.tpl');

    /*Select all Maincategories from the Database */
    $strMainSectQuery = 'SELECT cat_id, cat_name ';
    $strMainSectQuery.= 'FROM '.$neConfig['db']['prefix'].'_webdir_categories ';
    $strMainSectQuery.= 'WHERE parent = 0 ';
    $strMainSectQuery.= 'ORDER BY cat_name ASC';
    $result = $neDb->query($strMainSectQuery);
    neGetDbError($result,__LINE__,__FILE__,$strMainSectQuery);

    $intColCount = 1;
    $tpl->setCurrentBlock('mainfield');
    while ( list($intCatId,$strCatName) = $result->fetchRow() ) {

        /* Display the first three Subcategorys: */
        $strSubSectQuery = 'SELECT cat_id, cat_name ';
        $strSubSectQuery.= 'FROM '.$neConfig['db']['prefix'].'_webdir_categories ';
        $strSubSectQuery.= 'WHERE parent = '.$intCatId.' ';
        $strSubSectQuery.= 'ORDER BY cat_name ASC LIMIT 3';
        $subresult = $neDb->query($strSubSectQuery);
        neGetDbError($subresult,__LINE__, __FILE__);
        $i=0;
        $strSubCat='';
        //
        while ( list($intSubCatId,$strSubCatName) = $subresult->fetchRow() ) {
            $strSubCat .= ' <a href="index.php?mod='.$neModuleName;
            $strSubCat .=           '&amp;cat='.$intSubCatId.'">';
            $strSubCat .= '<span class="link_subcat">'.$strSubCatName.'</span>';
            $strSubCat .= "</a>,";
            $i++;
        }
        if ( $i > 0 ) {
            $strSubCat .= '...';
        }

        $tpl->setVariable(array(
            'CAT_NAME' => $strCatName,
            'CAT_LINK' => 'index.php?mod='.$neModuleName.'&amp;cat='.$intCatId,
            'CAT_SUBLINKS' => $strSubCat
        ));
        $tpl->parse('mainfield');
        if ( $intColCount ==  $neConfig['webdir']['show_maincols'] ) {
            $tpl->parse('mainrow');
            $intColCount = 1;
        } else {
            $intColCount++;
        }
    }
	if ($neSession->isAdmin($neModuleName)){
	    $tpl->setVariable(array(
		    'LINK_ADD_CATEGORY' => '<a href="index.php?mod=webdir&amp;op=add_cat&amp;parent=0">'.neTranslate('add_category').'</a>'
		));
		$tpl->parse('admin');
	}
    $tpl->show();
    $neTheme->drawSite();
}
?>
