<?php
/**
* Adds an Link to the Database
*/
function addDate($intId, $start, $end) {
    global $neConfig, $neDb;
    $strQuery  = 'INSERT INTO '.$neConfig['db']['prefix'].'_events_dates ';
    $strQuery .= '(event,event_start,event_end) ';
    $strQuery .= "VALUES($intId,'$start','$end')";
    $result = $neDb->query($strQuery);
    neGetDbError($result, __LINE__, __FILE__,$strQuery);
    neRedirect('admin.php?mod=events&op=edit_dates&id='.$intId);
}

/**
* removes a Link from the Database
*/
function deleteDate($intId,$start, $end) {
    global $neConfig, $neDb;
    $start= date('Y-m-d H:i',$start);
    $end= date('Y-m-d H:i',$end);
    $strQuery  = 'DELETE FROM '.$neConfig['db']['prefix'].'_events_dates ';
    $strQuery .= 'WHERE event='.$neDb->quote($intId);
    $strQuery .= ' AND event_start='.$neDb->quote($start);
    $strQuery .= ' AND event_end='.$neDb->quote($end);
    $result = $neDb->query($strQuery);
    neGetDbError($result, __FILE__, __LINE__,$strQuery);
    neRedirect('admin.php?mod=events&op=edit_dates&id='.$intId);
}


/**
*Show the edit Topiclinks Form.
*/
function editDates($intId)
{
    global $neConfig, $neDb, $neTheme;
    $tpl = $neTheme->getTemplate('events','dates_form.tpl');
    $strQuery  = 'SELECT  event_title ';
    $strQuery .= 'FROM '.$neConfig['db']['prefix'].'_events ';
    $strQuery .= 'WHERE event_id='.$intId;
    $title = $neDb->getOne($strQuery);
    neGetDbError($title,__LINE__,__FILE__,$strQuery);
    $neTheme->drawTitle($title);
    $tpl->setVariable(array(
        'LABEL_EVENT_START' => neTranslate('event_start'),
        'LABEL_EVENT_END' => neTranslate('event_end'),
        'LABEL_FUNCTIONS' => neTranslate('functions'),
        'LABEL_ADD_DATE' => neTranslate('add_date'),
        'EVENT_ID' => $intId,

        'START_YEAR' => getYearSelect('event_start[year]',date('Y')),
        'START_MONTH' => getMonthSelect('event_start[month]',date('m')),
        'START_DAY' => getDaySelect('event_start[day]',date('d')),
        'START_HOUR' => getHourSelect('event_start[hour]',date('H')),
        'START_MINUTE' => getMinuteSelect('event_start[minute]',date('i')),

        'END_YEAR' => getYearSelect('event_end[year]',date('Y')),
        'END_MONTH' => getMonthSelect('event_end[month]',date('m')),
        'END_DAY' => getDaySelect('event_end[day]',date('d')),
        'END_HOUR' => getHourSelect('event_end[hour]',date('H')),
        'END_MINUTE' => getMinuteSelect('event_end[minute]',date('i')),
 
    ));    

    $strQuery  = 'SELECT event_start, event_end ';
    $strQuery .= 'FROM '.$neConfig['db']['prefix'].'_events_dates ';
    $strQuery .= 'WHERE event='.$neDb->quote($intId);
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    $tpl->setCurrentBlock('date');	
    while ($result->fetchInto($event,DB_FETCHMODE_ASSOC) ) {
        $tpl->setVariable(array(
            'EVENT_START' => $event['event_start'],
            'EVENT_END' => $event['event_end'],
            'DELETE_LINK' => 'index.php?mod=events&amp;op=delete_date&amp;id='.$intId
             .'&amp;event_start='.strtotime($event['event_start'])
             .'&amp;event_end='.strtotime($event['event_end']),
            'IMAGE_DELETE' => $neTheme->getImage('delete',neTranslate('delete')),
        ));
	$tpl->parse('date');    
    }
    $tpl->show();
    $neTheme->drawSite(neTranslate('topic_links'));
}

?>