<?php

/**
 * Formatiert einen Text damit dieser im vCal Format abgesichert werden kann.
 */
function formatVCal($text) {
    $text = strip_tags($text);
    $text = str_replace("\n\r", "=0D=0A=",$text);
    $text = str_replace("\n", "=0D=0A=",$text);
    $text = str_replace("\r", "=0D=0A=",$text);
    return $text;
}


function getDaySelect($fieldname,$value)
{
    $strOut = "<select name=\"$fieldname\">\n";
    for ($i = 1;$i <= 31; $i++) {
        if ($i == $value){
            $strOut .= "<option value=\"$i\" selected=\"selected\">$i</option>\n";
        } else {
            $strOut .=  "<option value=\"$i\">$i</option>\n";
        }
    }
    $strOut .=  "</select>";
    return $strOut;
}
function getMonthSelect($fieldname,$value)
{
    $return = "<select name=\"$fieldname\">\n";
    for ($i = 1;$i <= 12; $i++) {
        if ($i == $value){
            $return .= "<option value=\"$i\" selected=\"selected\">";
        } else {
            $return .= "<option value=\"$i\">";
        }
        $return .= neTranslate('month_'.$i);
        $return .= "</option>\n";
    }
    $return .= "</select>";
    return $return;
}
function getYearSelect($fieldname,$value)
{
    $startDate = date('Y') - 2;
    $endDate = date('Y') + 5;
    $return = "<select name=\"$fieldname\">\n";
    for ($i = $startDate ;$i <= $endDate; $i++) {
        if ($i == $value){
            $return .= "<option value=\"$i\" selected=\"selected\">";
        } else {
            $return .= "<option value=\"$i\">";
        }
        $return .= "$i</option>\n";
    }
    $return .= "</select>";
    return $return;
}
function getHourSelect($fieldname,$value)
{
    $return = "<select name=\"$fieldname\">\n";
    for ($i = 0 ;$i <= 24; $i++) {
        if ($i == $value){
            $return .= "<option value=\"$i\" selected=\"selected\">$i</option>\n";
        } else {
            $return .= "<option value=\"$i\">$i</option>\n";
        }
    }
    $return .= "</select>";
    return $return;
}

function getMinuteSelect($fieldname,$value)
{
    $return = "<select name=\"$fieldname\">\n";
    for ($i = 0 ;$i <= 59; $i+=15) {
        if ($i == $value){
            $return .= "<option value=\"$i\" selected=\"selected\">$i</option>\n";
        } else {
            $return .= "<option value=\"$i\">$i</option>\n";
        }
    }
    $return .= "</select>";
    return $return;
}
?>