<?php
function drawDay($date){
    global $prefix,$dbi;
    //fetch the Events from the Database
    $strQuery  = 'SELECT EventId,EventDate,EventStart,EventEnd,Summary,Detail ';
    $strQuery .= 'FROM '.$prefix.'_events,'.$prefix.'_events_calendar ';
    $strQuery .= "WHERE ((CachedDate = '$date') AND ( EventId = CachedEvent)) ";
    $strQuery .= 'ORDER BY EventStart';
    $result = sql_query($strQuery, $dbi);

    if (sql_num_rows($result) > 0) {
        echo '<h4>'.strftime('%A %d %b %Y',$date).'</h4>';;
        echo '<table class="tableview" width="100%">'."\n";
        echo ' <tr>'."\n";
        echo '  <th class="tableview">Start</th>'."\n";
        echo '  <th class="tableview">Ende</th>'."\n";
        echo '  <th class="tableview">Name</th>'."\n";
        echo '</tr>'."\n";
        while ( $event = sql_fetch_array($result,$dbi) ) {
            echo ' <tr>'."\n";
            echo '  <td class="tableview">'."\n";
            echo date('H:i',$event['EventStart']);
            echo '  </td>'."\n";
            echo '  <td class="tableview">'."\n";
            echo date('H:i',$event['EventEnd']);
            echo '  </td>'."\n";
            echo '  <td class="tableview" width="100%">'."\n";
            echo "<a class=\"nav\" href=\"modules.php?name=calendar&amp;type=view&amp;eid=$Event[EventId]\">$event[Summary]</a>";
            echo '  </td>'."\n";
            echo '</tr>'."\n";
        }
        echo '</table>';
        return true;
    } else {
        return false;
    }

}

/**
 *Zeigt die Events Heute, eine Navigation, und die Events dieser Woche an.
 */
function showWeek($date) {
    global $dbi;
    $year = date('Y',$date);
    $month = date('m',$date);
    $day = date('d',$date);
    $weekday = date('w',$date);

    $firstWeekday = mktime(0,0,0,$month,$day - $weekday + 1,$year);
    $lastWeekday = mktime(0,0,0,$month,date('d',$firstWeekday) + 6,$year);
    $previousWeek = date('Y-m-d',mktime(0,0,0,$month,date('d',$firstWeekday) - 7,$year));
    $nextWeek = date('Y-m-d',mktime(0,0,0,$month,date('d',$firstWeekday) + 7,$year));

    include('header.php');
    drawNavigation();
    echo '
    <form action="modules.php" method="get">
     <input type="hidden" name="name" value="calendar">
     <input type="hidden" name="op2" value="show_week">
     <table width="100%">
      <tr>
       <td>
        <a href="modules.php?name=calendar&amp;op2=show_week&amp;date='.$previousWeek
        .'"><img src="images/previous.gif" alt="Vorherige Woche" border="0"/></a></td>
       <td>'.date('d.m.Y',$firstWeekday).'&nbsp;-&nbsp;'.date('d.m.Y',$lastWeekday).'</td>
       <td><a href="modules.php?name=calendar&amp;op2=show_week&amp;date='.$nextWeek
        .'"><img src="images/next.gif" alt="Vorherige Woche" border="0"/></a></td>
       <td align="right" width="100%">
       Gehe zu:
       <input type="text" name="date">
       <input type="submit" value="Los!">
       </td>
      </tr>
     </table>
    </form>
    ';
    echo ;
    $noEvents = 0;
    for($i=0;$i<7;$i++){
        if ( !drawDay($date + 86400 * $i) )
        {
            $noEvents++;
        }
    }
    if ( $noEvents >= 7 ) {
        echo '<center>Keine Veranstaltungen diese Woche</center>';
    }
    include("footer.php");
}
?>