<?php
/**
* The Setuproutine for the Topics Module:
*
* @package nukeevent.modules.topics
* @author $Author: x-eniac $
* @version $Revision: 1.1 $
*/

/**
* Installs News
*/
function install()
{
    global $neDb, $neConfig;
    addModule('faq','FAQ');
    addAdminmenu('faq','admin_faq','Admin FAQs');
    addAdminmenu('faq','new_faq','New FAQ');

    $strQuery  = 'CREATE TABLE IF NOT EXISTS '.$neConfig['db']['prefix'].'_faq_categories (';
    $strQuery .= 'cat_id int(20) unsigned NOT NULL,';
    $strQuery .= 'cat_title varchar(255) NOT NULL,';
    $strQuery .= 'cat_description text Default NULL,';
    $strQuery .= 'PRIMARY KEY (cat_id)';
    $strQuery .= ')';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery);
    
    $strQuery  = 'CREATE TABLE IF NOT EXISTS '.$neConfig['db']['prefix'].'_faq_questions (';
    $strQuery .= 'question_id int(20) unsigned NOT NULL,';
    $strQuery .= 'question_category int(20) unsigned NOT NULL,';
    $strQuery .= 'question_title varchar(255) NOT NULL,';
    $strQuery .= 'question_answer text Default NULL,';
    $strQuery .= 'PRIMARY KEY (question_id)';
    $strQuery .= ')';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery);
}

/**
* unnstalls the module
*/
function uninstall()
{
    global $neDb, $neConfig;
    removeModule('news','News');
    removeAdminmenu('news');
/*    $strQuery  = 'DROP TABLE '.$neConfig['db']['prefix'].'_faq_faqs';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery); */
}

switch ($neOp){
    case 'install_module':
        install();
        $neTheme->drawSite();
        break;
    case 'uninstall_module':
        uninstall();
        $neTheme->drawSite();
        break;

}
?>
