<?php
/*==NukeEvent Portal System=====================================================
Copyright 2002 by Christian Berg

Code based on PHP-NUKE Web Portal System Copyright (c) 2002 by
Francisco Burzi (fbc@mandrakesoft.com) http://phpnuke.org

This program is free software. You can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 or any higher Version
of the License.
==============================================================================*/
/**
* This is the News Module for Nuke-Event.
* This File Displays an overview of the Articles
* @package faq
* @author $Author: x-eniac $
* @version $Revision: 1.1 $
*/
neGetlang($neModuleName);

/**
* load the configuration for the News Module.
*/
//require_once ('modules/faq/config.php');

/**
* load the common Functions for the News Module.
*/
require_once ('modules/faq/faq_functions.php');

//==Main Routine================================================================


if (isset($_GET['cat']) ) {
	$intCatId = (int) $_GET['cat'];
} elseif ( isset($_POST['category']) ) {
	$intCatId = $_POST['category'];
}

if (isset($_GET['id']) ) {
	$intId = (int) $_GET['id'];
} elseif ( isset($_POST['question_id']) ) {
	$intId = $_POST['question_id'];
}

if (isset($_GET['category_name']) ) {
	$strCatName = neCheckText($_GET['category_name'],'plain');
} elseif ( isset($_POST['category_name']) ) {
	$strCatName = $_POST['category_name'];
}

if (isset($_GET['question']) ) {
	$strQuestion = neCheckText($_GET['question'],'plain');
} elseif ( isset($_POST['question']) ) {
	$strQuestion = $_POST['question'];
}

if (isset($_GET['answer']) ) {
	$strAnswer = neCheckText($_GET['answer'],'plain');
} elseif ( isset($_POST['answer']) ) {
	$strAnswer = $_POST['answer'];
}

if ( $neSession->IsAdmin($neModuleName) ) {
    include_once('modules/'.$neModuleName.'/admin_functions.php');
    switch ($neOp) {
        case 'add_question':
            addQuestion($intCatId,$strQuestion,$strAnswer);
            exit;
        case 'edit_question':
            editQuestion($intId);
            exit;
        case 'submit_edit_question':
            submitEditQuestion($intId,$strQuestion,$strAnswer);
            exit;
        case 'add_category':
            addCategory($strCatName);
            exit;
        case 'edit_category':
            addCategory($intCatId);
            exit;
        case 'admin_faq':
            drawFaqAdmin();
            exit;
    }
}

switch ($neOp) {
  case "show_cat":
    drawFaq($intCatId);
  default:
    drawMainpage();
    break;;
}

?>
