<?php
/*==NukeEvent Portal System====================================================
Copyright 2002 by Christian Berg

Code based on PHP-NUKE Web Portal System Copyright (c) 2002 by
Francisco Burzi (fbc@mandrakesoft.com) http://phpnuke.org

This program is free software. You can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 or any higher Version
of the License.
=============================================================================*/

/**
* The Functions File for the Jirca Module:
*
* @package nukeevent.modules.jirca
* @author $Author: xeniac $
* @version $Revision: 1.1 $
*/

/**
*Show the login Form.
*/
function showLogin()
{
    global $neConfig, $neDb, $neTheme, $neSession;

    $tpl = new HTML_Template_ITX(neGetTemplatePath());
    $tpl->loadTemplateFile("login.html");
    $neTheme->drawTitle( neTranslate('chat_login') );

    $tpl->setVariable(array(
    'USERNAME' => $neSession['username'],
    'FORM_ACTION' => 'index.php?mod='.$neModuleName.'&amp;op=chat'
    ));
    $tpl->show();
    $neTheme->drawSite();
}
/**
*Show the Chat Window.
*/
function showChat($strLogin, $strRealname)
{
    global $neConfig, $neDb, $neModuleName, $neSession;
    $tpl = new HTML_Template_ITX(neGetTemplatePath($neModuleName));
    $tpl->loadTemplateFile("chatwindow.html");
    $tpl->setVariable(array(
        'CODE_BASE' => 'modules/'.$neModuleName.'/classes/',
        'NICK_NAME' => $strLogin,
        'REAL_NAME' => $strRealname,
        'USER_NAME' => $strLogin,
        'CHANNEL'   => $neConfig['jicra']['channel'],
        'PORT'      => $neConfig['jicra']['port'],
        'MESSAGE'   => neTranslate('message-no_java_installed')
    ));
    $tpl->show();
    neDrawSite();
}

?>
