<?php

function drawSuggestForm($intCatId)
{
    global $neModuleName, $neConfig, $neDb, $neTheme, $neSession;

    /*Load the Template*/
    $tpl = $neTheme->getTemplate('webdir','suggestlink.tpl');
    $tpl->setVariable(array(
        'FORM_ACTION' => 'index.php?mod='.$neModuleName.'&amp;op=post_suggest',
        'USERNAME' => $neSession->getName(),
        'USER_ID'  => $neSession->getId(),
        'CAT_NAME' => getBreadcrumbs($intCatId),
        'CAT_ID' => $intCatId,
        'TRAIL' => getBreadcrumbs($intCatId)
    ));
    $tpl->show();
    $neTheme->drawSite();
}
function suggestLink($arrLink)
{
    global $neModuleName, $neConfig, $neDb, $neTheme, $neSession;
    $neTheme->drawTitle('link_added');

    //Set the Submitdate to Now
    $arrLink['submit_date'] = date('Y-m-d H:i:s');

    //Get the next free link ID
    $arrLink['link_id'] = $neDb->getOne('
        SELECT link_id
        FROM '.$neConfig['db']['prefix'].'_webdir_links
        ORDER BY link_id DESC LIMIT 1
    ') + 1 ;
    
    //Set the Link to Approved if a Admin was the Submitter
    if ( $neSession->isAdmin($neModuleName) ) {
        $arrLink['approved'] = 1;
    } else {
        $arrLink['approved'] = 0;
    }
    
    $strQuery  = 'INSERT INTO '.$neConfig['db']['prefix'].'_webdir_links ';
    $strQuery .= '(link_id,cat_id,url,link_name,description,approved,submitter,submit_date) ';
    $strQuery .= 'VALUES(';
    $strQuery .= $neDb->quote($arrLink['link_id']).',';
    $strQuery .= $neDb->quote($arrLink['cat_id']).',';
    $strQuery .= $neDb->quote($arrLink['url']).',';
    $strQuery .= $neDb->quote($arrLink['link_name']).',';
    $strQuery .= $neDb->quote($arrLink['description']).',';
    $strQuery .= $neDb->quote($arrLink['approved']).',';
    $strQuery .= $neDb->quote($arrLink['submitter']).',';
    $strQuery .= $neDb->quote($arrLink['submit_date']);
    $strQuery .= ')';
    //$result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);

    $tpl = $neTheme->getTemplate('webdir','link_suggested.tpl');
    $tpl->setVariable(array(
        'MESSAGE_LINK_SUGGESTED' => neTranslate('text-message_link_suggested'),
        'LABEL_BACK_TO' => neTranslate('back_to'),
        'LINK_CATEGORY' => $arrLink['cat_id'],
        'CATEGORY_TITLE' => getBreadcrumbs($arrLink['cat_id']),
        'TRAIL' => getBreadcrumbs($arrLink['cat_id'])
    ));
    $tpl->show();
    $neTheme->drawSite();
}

?>