<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN">
<html xmlns="http://www.w3.org/1999/xhtml" lang="{LANG}" xml:lang="{LANG}">
<head>
  <title>{SITENAME} :: {PAGETITLE}</title>
  <meta name="resource-type" content="document">
  <meta name="distribution" content="global">
  <meta name="author" content="Christian Berg">
  <meta name="copyright" content="{AUTHOR}">
  <meta name="keywords" content="{KEYWORDS}">
  <meta name="describtion" content="{DESCRIPTION}">
  <meta name="robots" content="index, follow">
  <meta name="revisit-after" content="1 days">
  <meta name="rating" content="general">
  <script src="javascript/functions.js" type="text/javascript"></script>
  <link rel="stylesheet" href="themes/{THEME}/style/style.css">

  {CUSTOM_HEADER}
 </head> 
<!-- BEGIN main -->
 <body>
  <table cellpadding="0" cellspacing="0" width="100%" border="0">
   <tr>
    <td class="topnav">
     <h1>Administration</h1>
    </td>
   </tr>
  </table>
  <table border="0" cellspacing="0" width="100%">
   <tr>
    <!-- BEGIN leftbar -->
    <td class="leftbar" width="160">
     <!-- BEGIN module -->
     <strong><a href="{MODULE_LINK}" class="topnav">{MODULE_TITLE}</a></strong><br/>
     <!-- BEGIN function -->
     &nbsp;&nbsp;&nbsp;<a href="{FUNCTION_LINK}" class="leftnav">{FUNCTION_NAME}</a><br/>
     <!-- END function -->
     <!-- END module -->
     <!-- BEGIN leftblock -->
     <table class="leftbox">
      <tr>
       <th class="leftboxheader">
        {BLOCKTITLE}
       </th>
      </tr>
      <tr>
       <td class="leftboxcontent">
        {BLOCKCONTENT}
       </td>
      </tr>
     </table>
     <br />
     <!-- END leftblock -->
    <!-- END leftbar -->
    </td>
    <!-- BEGIN maincontent -->
    <td valign="top" class="maincontent">
     <!-- BEGIN centerblock -->
     <table border="1" align="center">
      <tr>
       <th>
        {BLOCKTITLE}
       </th>
      </tr>
      <tr>
       <td>
        {BLOCKCONTENT}
       </td>
      </tr>
     </table>
     <br />
      <!-- END centerblock -->
      <!-- BEGIN title -->
      <h2>{TITLE}</h2>
      <!-- END title-->
      {MAINCONTENT}
    <!-- BEGIN messagebox -->
    <table class="messagebox">
     <tr>
      <th class="messageboxheader">{TITLE}</th>
     </tr>
     <tr>
      <td class="messageboxcontent">{CONTENT}</td>
     </tr>
    </table>
    <br>
    <!-- END messagebox -->
    </td>
    <!-- END maincontent -->

    <!-- BEGIN rightbar -->
    <td valign="\" width="\">
     <!-- BEGIN rightblock -->
     <table cellpadding="2" cellspacing="1" class="rightbox" width="100%">
      <tr>
       <td align="left" class="rightboxheader">
        &nbsp;::{BLOCKTITLE}
       </td>
      </tr>
      <tr valign="top">
       <td class="rightboxcontent">
        {BLOCKCONTENT}
       </td>
      </tr>
     </table>

     <br />
      <!-- END rightblock -->
    </td>
    <!-- END rightbar -->
   </tr>
  </table>
 </body>
</html>
<!-- END main -->
