<?php

function drawSuggestForm($intCatId)
{
    global $neModuleName, $neConfig, $neDb, $neTheme, $neSession;

    /*Load the Template*/
    $tpl = $neTheme->getTemplate('webdir','suggestlink.tpl');
    $tpl->setVariable(array(
        'FORM_ACTION' => 'index.php?mod='.$neModuleName.'&amp;op=post_suggest',
        'USERNAME' => $neSession->getName(),
        'USER_ID'  => $neSession->getId(),
        'CAT_NAME' => getBreadcrumbs($intCatId),
        'CAT_ID' => $intCatId,
        'TRAIL' => getBreadcrumbs($intCatId)
    ));
    $tpl->show();
    $neTheme->drawSite();
}
function suggestLink($arrLink)
{
    global $neModuleName, $neConfig, $neDb, $neTheme, $neSession;
    //Get the next free link ID
    $arrLink['link_id'] = $neDb->getOne('
        SELECT link_id
        FROM '.$neConfig['db']['prefix'].'_webdir_links
        ORDER BY link_id DESC LIMIT 1
    ') + 1 ;
    //Set the Link to Approved if a Admin was the Submitter
    if ( $neSession->isAdmin($neModuleName) ) {
        $arrLink['approved'] = 1;
    } else {
        $arrLink['approved'] = 0;
    }
    //Set the Submitdate to Now
    $arrLink['submit_date'] = date('Y-m-d H:i:s');

    foreach ($arrLink as $name => $value) {
        $fields[] = $name;
        $values[] = $neDb->quote($value);
    }
    
    $strQuery  = 'INSERT INTO '.$neConfig['db']['prefix'].'_webdir_links ';
    $strQuery .= '('.implode(',',$fields).') ';
    $strQuery .= 'VALUES('.implode(',',$values).') ';
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    $neTheme->drawTitle('link_added');
    
    $neTheme->drawSite();
}

?>
