<?php
/**
* The Setuproutine for the Topics Module:
*
* @package nukeevent.modules.calendar
* @author $Author: x-eniac $
* @version $Revision: 1.1 $
*/

/**
* Installs News
*/
function install()
{
    global $neDb, $neConfig;
    addModule('events','Events');
    addAdminmenu('events','admin_events','Admin Events');
    addAdminmenu('events','new','Add Event');
    $strQuery  = '
CREATE TABLE '.$neConfig['db']['prefix'].'_events (
  EventID int(20) unsigned NOT NULL,
  EventDate int(20) unsigned NOT NULL,
  EventStart int(20) unsigned NOT NULL,
  EventEnd int(20) unsigned NOT NULL,
  Summary varchar(255) NOT NULL,
  Detail varchar(255) NOT NULL,
  active int(1) NOT NULL,
  Recurrence varchar(7) NOT NULL,
  Frequency int(11),
  Duration int(11),
  PRIMARY KEY  (EventID)
)';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery);

    $strQuery  = '
CREATE TABLE '.$neConfig['db']['prefix'].'_events_calendar (
  CachedDate int(20) NOT NULL,
  CachedEvent int(20) NOT NULL,
  PRIMARY KEY  (CachedDate,CachedEvent)
)';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery);

}

/**
* uninstalls the module
*/
function uninstall()
{
    global $neDb, $neConfig;
    removeModule('events','Events');
    removeAdminmenu('news');
    $strQuery  = 'DROP TABLE IF EXISTS '.$neConfig['db']['prefix'].'_events';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery);
    $strQuery  = 'DROP TABLE IF EXISTS '.$neConfig['db']['prefix'].'_events_calendar';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery);
}

switch ($neOp){
    case 'install_module':
        install();
        $neTheme->drawSite();
        break;
    case 'uninstall_module':
        uninstall();
        $neTheme->drawSite();
        break;

}
?>