<?php
/*==NukeEvent Portal System====================================================
Copyright 2002 by Christian Berg

Code based on PHP-NUKE Web Portal System Copyright (c) 2002 by
Francisco Burzi (fbc@mandrakesoft.com) http://phpnuke.org

This program is free software. You can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 or any higher Version
of the License.
=============================================================================*/
/**
*
*/
function createThumbnail($filename,$album) 
{
	global $neConfig;
	$imagepath = DATA_PATH.'gallery/'.$album.'/';
	$thumbpath = DATA_PATH.'gallery/'.$album.'/thumbs/';
	if (!is_dir($thumbpath) ) {
        mkdir($thumbpath,0777);
    }
    neResizeImage(
        $imagepath.$filename,
        $thumbpath.$filename,
        $neConfig['gallery']['thumb_maxwidth'],
        $neConfig['gallery']['thumb_maxheight']
    );
}


/**
* searches for a Thumbnail for an Image.
* @returns string the Location of the Images
*/
function getThumbnail($filename,$album){
	$thumbpath= DATA_PATH.'gallery/'.$album.'/thumbs/';
	if ( !is_file($thumbpath.$filename) ) {
        createThumbnail($filename,$album);
    }
    return($thumbpath.$filename);
}

/**
* The Functions File for the Jirca Module:
*
* @package nukeevent.modules.jirca
* @author $Author: xeniac $
* @version $Revision: 1.1 $
*/

/**
*Show the login Form.
*/
function displayIndex()
{
    global $neConfig, $neDb, $neTheme, $neSession;

    $tpl = $neTheme->getTemplate('gallery','gallery_index.tpl');
    $neTheme->drawTitle(neTranslate('gallery') );
    $strQuery  = 'SELECT album_name, album_title, album_descr, album_visible, album_created, album_changed ';
    $strQuery .= 'FROM '.$neConfig['db']['prefix'].'_gallery_albums ';
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    while ( $result->fetchInto($album,DB_FETCHMODE_ASSOC) ) {
        $tpl->setVariable(array(
            'ALBUM_NAME' => $album['album_name'],
            'ALBUM_TITLE' => $album['album_title'],
            'ALBUM_DESCR' => $album['album_descr'],
            'ALBUM_CREATED' => $album['album_created'],
            'ALBUM_CHANGED' => $album['album_changed'],            
        ));
    }
    $tpl->show();
    $neTheme->drawSite();
}

/**
*Shows the Thumbnails of an Album.
*/
function displayAlbum($strAlbum,$intPage = 0)
{
    global $neConfig, $neDb, $neTheme, $neSession;
    $numImages = $neConfig['gallery']['thumb_cols'] * $neConfig['gallery']['thumb_rows'];
    $tpl = $neTheme->getTemplate('gallery','album_index.tpl');

    $neTheme->drawTitle($strAlbum);
    $tpl->setVariable(array(
        'ALBUM_NAME' => $strAlbum,
        'PAGE' => $intPage
    ));
    $intCount = (int) $numImages * $intPage;
    $strQuery  = 'SELECT * ';
    $strQuery .= 'FROM '.$neConfig['db']['prefix'].'_gallery_photos ';
    $strQuery .= 'WHERE image_album = '.$neDb->quote($strAlbum).' ';
    $strQuery .= 'LIMIT '.$intCount.', '.$numImages;
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    $i = 1;
    $tpl->setCurrentBlock('image');
    while ( $image = $result->fetchRow(DB_FETCHMODE_ASSOC) ) {
    	$tpl->setVariable(array(
            'IMAGE_NAME' => $image['image_name'],
            'IMAGE_DESCRIPTION' => $image['image_description'],
            'THUMB_SRC' => getThumbnail($image['image_name'],$strAlbum)            
        ));
        $tpl->parse('image');
        if ($i >= $neConfig['gallery']['thumb_cols']) {
            $tpl->parse('image_row');
            $i = 1;
        } else {
            $i++;
        }
    }
    if ($intPage > 0) {
       $tpl->setVariable('PREVIOUS_PAGE',$intPage -1);
    }
    $tpl->show();
    $neTheme->drawSite();
}
?>