<?php

function showRss($intTopicId) {
    global $neConfig,$neDb;
    header('Content-Type: text/xml');
    echo '<?xml version="1.0"?>'."\n";
    echo '<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" ';
    echo ' xmlns="http://purl.org/rss/1.0/">'."\n";
    echo '<channel rdf:about="'.$neConfig['site']['url'].'">'."\n";
    echo ' <title>'.$neConfig['backend']['title'].'</title>'."\n";
    echo ' <link>'.$neConfig['site']['url'].'</link>'."\n";
    echo ' <description>'.$neConfig['meta']['description'].'</description>'."\n";
    echo ' <image rdf:resource="http://xml.com/universal/images/xml_tiny.gif" />'."\n";
    echo ' <items>';
    echo ' <rdf:Seq>';
    $strQuery  = 'SELECT article_id ';
    $strQuery .= 'FROM '.$neConfig['db']['prefix'].'_news ';
    $strQuery .= 'ORDER BY article_id DESC limit 10';
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    for ($m=0; $m < $result->numRows(); $m++) {
        list($article_id) = $result->fetchRow();
        echo '  <rdf:li resource="'.$neConfig['site']['url'].'/index.php?mod=news&amp;op=show_article&amp;id='.$article_id."\" />\n";
    } 
    echo " </rdf:Seq>\n";
    echo " </items>\n";
    echo "</channel>\n\n";
    echo '<image rdf:about="'.$neConfig['site']['url'].'">'."\n";
    echo ' <title>'.$neConfig['backend']['title'].'</title>'."\n";
    echo ' <link>'.$neConfig['site']['url'].'</link>';
    echo ' <url>'.$neConfig['site']['url'].'/images/xml_tiny.gif</url>'."\n";
    echo '</image>'."\n";
    $strQuery  = 'SELECT article_id,title,abstract ';
    $strQuery .= 'FROM '.$neConfig['db']['prefix'].'_news ';
    $strQuery .= 'ORDER BY article_id DESC limit 10';
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    while ($result->fetchInto($article,DB_FETCHMODE_ASSOC)) {
        list($sid, $title) = $result->fetchRow();
        echo '<item rdf:about="'.$neConfig['site']['url'].'/index.php?mod=news&amp;op=show_article&amp;id='.$article['article_id'].'">'."\n";
        echo '<title>'.htmlspecialchars($article['title'])."</title>\n";
        echo '<link>'.$neConfig['site']['url'].'/index.php?mod=news&amp;op=show_article&amp;id='.$article['article_id'].'</link>'."\n";
        echo '<description>'.htmlspecialchars($article['abstract']).'</description>'."\n";
        echo '</item>'."\n";
    }
    echo '</rdf:RDF>';
}
?>