<?php

/**
* The Setuproutine for the Topics Module:
*
* @package nukeevent.modules.topics
* @author $Author: x-eniac $
* @version $Revision: 1.1 $
*/

function install()
{
    global $neDb, $neConfig;
    addModule('topics','Topics');
	addAdminmenu('topics','admin_topics','Admin Topics');
	addAdminmenu('topics','add_topic','Add Topic');

    $strQuery  = 'CREATE TABLE IF NOT EXISTS '.$neConfig['db']['prefix'].'_topics (';
    $strQuery .= 'topic_id int(3) NOT NULL,';
    $strQuery .= 'topic_name varchar(20) NOT NULL default \'\',';
    $strQuery .= 'topic_title varchar(40) default NULL,';
    $strQuery .= 'topic_description mediumtext,';
    $strQuery .= 'PRIMARY KEY (topic_id),';
    $strQuery .= 'UNIQUE KEY name (topic_name))';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery);

    $strQuery  = 'CREATE TABLE IF NOT EXISTS '.$neConfig['db']['prefix'].'_topics_links (';
    $strQuery .= 'link_id  int(3)        NOT NULL, ';
    $strQuery .= 'topic_id int(3)        NOT NULL, ';
    $strQuery .= 'link_title varchar(80) NOT NULL, ';
    $strQuery .= 'link_url   varchar(80) NOT NULL, ';
    $strQuery .= 'PRIMARY KEY (link_id))';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery);
    mkdir(IMAGE_PATH.'topics');
}


switch ($neOp){
    case 'install_module':
        install();
        $neTheme->drawSite();
        break;
}
?>