<?php
/*==NukeEvent Portal System====================================================
Copyright 2002 by Christian Berg

Code based on PHP-NUKE Web Portal System Copyright (c) 2002 by
Francisco Burzi (fbc@mandrakesoft.com) http://phpnuke.org

This program is free software. You can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 or any higher Version
of the License.
=============================================================================*/

/**
* The Index Site that starts the Module you want.
*
* @package nukeevent
* @author $Author: x-eniac $
* @version $Revision: 1.4 $
*/

/**
* include the main functions file
*/
require_once('includes/mainfile.inc.php');
$neModuleLoader = "index.php";
$neTheme->setTemplate('main.tpl');

/*Get the module to load. first look for the parameter "mod"
 * in the Post querys, then in the get querys, else look if
 * the launcher was the index.php and load the default module.
 * If none of these was true load the module named like the
 * file the user has called.
*/
$neModuleName = 'news'; 
$neOp = 'show_rss';

if ( preg_match("/(\.|\/)/",$neModuleName) ){
    $neTheme->drawErrorpage(
        _('title-access_denied'),
        _('message-access_denied')
    );
    die();
}

//Display an Error if the File does not exist
if ( !file_exists('modules/'.$neModuleName.'/index.php') ) {
    $neTheme->drawErrorpage(
        _('title-module_not_exist'),
        _('message-module_not_exist')
    );
    die();
}

$strQuery  = 'SELECT active, visible ';
$strQuery .= 'FROM '.$neConfig['db']['prefix'].'_modules ';
$strQuery .= 'WHERE name="'.$neModuleName.'"';
$module = $neDb->getRow($strQuery,DB_FETCHMODE_ASSOC);
neGetDbError($module,__LINE__,__FILE__,$strQuery);
if ( $module['active'] == true ) {
    /** If Module is 'Admin only' and User is a Admin */
    if ( ($module['visible'] >= 0) and $neSession->isAdmin() ) {
            include('modules/'.$neModuleName.'/index.php');
        /**If Module is for Users only, and Uses is logged in */
        } elseif ( ($module['visible'] >= 1) and ($neSession->isLoggedIn()) ) {
            include('modules/'.$neModuleName.'/index.php');
        /** if Module is allowed for Anonymouse */
        } elseif ( $module['visible'] >= 2 ) {
            include('modules/'.$neModuleName.'/index.php');
        /** if none of them is true, draw an Errormessage */
        } else {
            $neTheme->drawErrorpage(
                _('title-access_denied'),
                _('message-access_denied')
            );
            
            die();
        }
    /** if Module is Inactive, but User is a Superuser, include it */
} elseif ( $neSession->isAdmin() == true ) {
    include('modules/'.$neModuleName.'/index.php');
    //else show a Message that this module is deactivated
} else {
    $neTheme->drawErrorpage(
        _('title-module_is_inactive'),
        _('message-module_is_inactive')
    );
}
?>