<?php
//--checkLogin-------------------------------------------------------------------
/**
* Cecks if the Login was Sucsessfully
*/
function checkAdminLogin($strName,$strPassword,$bolRemember)
{
    global $neSession;
    if ($neSession->login($strName,$strPassword,$bolRemember)) {
		neRedirect('admin.php');
    } else {
        displayAdminLogin($strName);
    }
}


//--displayLogin----------------------------------------------------------------
/**
* draws the Login Screen
*/
function displayAdminLogin($strUserName="")
{
   global $neModuleName,$neTheme,$neSession;
   if (empty($strUserName)) {
       $neTheme->drawTitle(neTranslate('admin_login'));
       echo '<p class="advice">'.neTranslate('message-login').'</p>';
   } else {
       $neTheme->drawTitle(neTranslate('admin_wrong_login'));
       echo '<p class="advice">'.neTranslate('message-wrong_login').'</p>';
   }
   $strContent = '
    <form action="admin.php" method="post">
     <input type="hidden" name="op" value="check_login">
     <table class="formtable">
      <tr class="formtable">
       <th class="formdescr">
        '.neTranslate("user_name").'
       </th>
       <td class="formelement">
        <input name="uname" type="text" class="text" value="'.$strUserName.'">
       </td>
      </tr>
      <tr class="formtable">
       <th class="formdescr">
        '.neTranslate("password").'
       </th>
       <td class="formelement">
        <input name="pass" type="password" class="password">
       </td>
      </tr>
      <tr class="formtable">
       <th class="formdescr">
        '.neTranslate("remember").'
       </th>
       <td class="formelement">
        <input name="remember" id="remember" type="checkbox" class="checkbox">
        <label for="remember">'.neTranslate('remember_login').'</label>
       </td>
      </tr>
      <tr class="formtable">
       <td class="formbuttons" colspan="2">
        <input type="submit" class="submit">
       </td>
      </tr>
     </table>
    </form>
   ';
   $neTheme->drawDialogbox(neTranslate('admin_login'),$strContent);
   $neTheme->drawSite(neTranslate('admin_login'));
}

//--admin Main---------------------------------------------------------------
function adminMain() {
    global $language, $admin, $aid, $prefix, $file, $dbi, $sitename;
    theme::drawSite(neTranslate('admin_console'));
}
?>
