<?php
function install()
{
    global $neDb, $neConfig;
    addModule('content','Content Manager');
    addAdminMenu('content','admin_content','admin content');
    addAdminMenu('content','admin_images','admin images');
    addAdminMenu('content','add','add page');
    addAdminMenu('content','import','import content');
    
    $strQuery  = 'CREATE TABLE IF NOT EXISTS '.$neConfig['db']['prefix'].'_content (';
    $strQuery .= 'page_name varchar(20) NOT NULL, ';
    $strQuery .= 'page_lang char(2)     NOT NULL, ';
    $strQuery .= 'author    bigint(20)  NOT NULL, ';
    $strQuery .= 'active    int(1)      NOT NULL default \'0\', ';
    $strQuery .= 'title     varchar(40)          default \'0\', ';
    $strQuery .= 'content   text, ';
    $strQuery .= 'PRIMARY KEY page_name (page_name)) ';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery);
}

/**
* uninstalls the module
*/
function uninstall()
{
    global $neDb, $neConfig;
    removeModule('content','Content Manager');
    removeAdminMenu('content');
    $strQuery  = 'DROP TABLE '.$neConfig['db']['prefix'].'_news';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery);
}

switch ($neOp){
    case 'install_module':
        install();
        $neTheme->drawSite();
        break;
    case 'uninstall_module':
        uninstall();
        $neTheme->drawSite();
        break;
}

?>
