<?php

function drawImportForm() {
    global $neTheme;
   $neTheme->drawTitle(neTranslate('import_files'));
    ?>
    <p class="advice"><?php echo neTranslate('message-import_form');?></p>

    <form method="post" action="admin.php" enctype="multipart/form-data">
    <input type="hidden" name="mod" value="content" />
    <input type="hidden" name="op" value="submit_import" />
    <table class="formtable" align="center">
    <tr class="formtable">
     <td colspan="2" class="formheader">
      <?php echo neTranslate('import_files');?>
     </td>
    </tr>
    <?php for($i = 0 ;$i <= 10;$i++) { ?>
    <tr class="formtable">
     <td class="formdescr">
      <?php echo neTranslate('local_file');?>
     </td>
     <td class="formelement">
      <input type="file" class="file" name="importfile<?php echo $i?>">
     </td>
    </tr>
    <?php } ?>
     <tr>    
     <td class="formbuttons" colspan="2">
      <input type="submit" class="submit" value="<?php echo neTranslate('start_import');?>" />
     </td>
    </tr>
   </table>
   </form>
   <?php
   $neTheme->drawSite(neTranslate('import_files'));
}

function importPage($file)
{
    $strName = basename($file['name'],'.html');  

    //load the file into a string
    $fileContent = implode(file($file['tmp_name'])," ");
        
    //fetch the title
    preg_match('/<title>(.*)<\/title>/',$fileContent,$arrTmp);
    $strTitle = $arrTmp[1];
    
    //fetch the content
    preg_match("/<body.*>([^\\[]*)<\/body>/",$fileContent,$arrTmp);
    $strContent = $arrTmp[1];
    unset($arrTmp,$fileContent);  

    if ( !empty($strName) AND !empty($strContent)) { 
        submitPage($strName,$strTitle,$strContent);
        return true; 
    } else {
        return false;
    }
}

function uploadImage($file)
{
    global $neConfig;
    if ( !is_dir(IMAGE_DIR) ) {
        if ( !mkdir(IMAGE_DIR) ) {
            echo IMAGE_DIR.' does not exist and connot created';
            return false;
        }
    }
    $uploadfile = IMAGE_DIR.'/'.$file['name'];    
    if (move_uploaded_file($file['tmp_name'], $uploadfile)) {
        return true;	
	   } else {
        return false;
    }
}

function importFiles($arrFiles) 
{
    global $neConfig, $neDb, $neTheme, $neModuleName;
    foreach($arrFiles as $file) {
        if ( empty($file['name']) ) {
            continue;
        }
        echo neTranslate('processing').' '.$file['name'].' ' ;
        if ( ereg('text/',$file['type']) ) {
            $succsess = importPage($file);
        } elseif ( ereg('image/',$file['type']) ) {
            $succsess = uploadImage($file);        
        }
        if ( $succsess ) {
            echo '<span style="color:green">'.neTranslate('ok').'</span>';
        } else {
            echo '<span style="color:red">'.neTranslate('error').'</span>';
        }
        echo "<br />\n";
    }    
    echo '<p><a href="admin.php?mod=content">';
    echo neTranslate('back_to_admin');
    echo '</a></p>';
    $neTheme->drawSite();
}
?>
