<?php
/*==NukeEvent Portal System====================================================
Copyright 2002 by Christian Berg

Code based on PHP-NUKE Web Portal System Copyright (c) 2002 by
Francisco Burzi (fbc@mandrakesoft.com) http://phpnuke.org

This program is free software. You can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 or any higher Version
of the License.
============================================================================*/

/**
* a Module to administrate HTML Pages on a NukeEvent powerd Website.
*
* @package content
* @author Christian Berg
* @version $Revision: 1.2 $
*/

define('IMAGE_DIR', DATA_PATH.'content/');
define('THUMB_DIR', IMAGE_DIR.'thumbnails/');

neGetLang($neModuleName);
require_once("modules/$neModuleName/content_functions.php");

if (isset($_POST['name'])) {
    $strName = neCheckText($_POST['name'],'plain');
} elseif (isset($_GET['name'])) {
    $strName = neCheckText($_GET['name'],'plain');
} else {
   $strName = 'index';
}

if (isset($_POST['title'])) {
    $strTitle = neCheckText($_POST['title'],'plain');
} else {
  $strTitle = null;
}

if ( isset($_GET['file']) ) {
    $strFilename = neCheckText($_GET['file'],'plain');
}
if (isset($_POST['content'])) {
    $strContent = neCheckText($_POST['content'],'html');
} else {
    $strContent = null;
}

if ($neModuleLoader == 'admin.php' and empty($neOp)){
    $neOp='admin_content';
}

//check for adminisrative tasks
if ( $neSession->IsAdmin($neModuleName)) {
    switch ($neOp) {
      case 'activate':
        activatePage($strName);
        die();
        break;

      case 'deactivate':
        deactivatePage($strName);
        die();
        break;
	
      case 'delete':
        deletePage($strName);
        die();
        break;

      case 'submit':
        submitPage($strName,$strTitle,$strContent);
        neRedirect('admin.php?mod=content&op=show&name='.urlencode($strName));
        die();
        break;

      case 'add':
        showEditForm($strName,$strTitle,$strContent,'');
        die();
        break;

      case 'edit':
        editPage($strName);
        die();
        break;

      case 'preview':
        previewContent($strName,$strTitle,$strContent,$strAuthor);
        die();
        break;

      case 'export':
        exportPage($strName);
        die();
        break;
 
      case 'import':
        require('import_functions.php');
		drawImportForm();
        die();
        break;

      case 'submit_import':
        require('import_functions.php');
        importFiles($HTTP_POST_FILES);
        die();
        break;

     case 'delete_image':
        require('image_functions.php');
        deleteImage($strFilename);
        die();
        break;;
     case 'export_image':
        require('image_functions.php');
	exportImage($strFilename);
	die();
	break;
     case 'admin_images':
        require('image_functions.php');
        adminImages();
        die();
        break;;
 
      case 'admin_content':
        adminContent();
        die();
        break;;
    }
}

switch ($neOp) {
  default:
    displayContent($strName);
    break;;
}
?>
