<?php
/*==NukeEvent Portal System====================================================
Copyright 2002 by Christian Berg

Code based on PHP-NUKE Web Portal System Copyright (c) 2002 by
Francisco Burzi (fbc@mandrakesoft.com) http://phpnuke.org

This program is free software. You can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 or any higher Version
of the License.
=============================================================================*/

/**
* The Functions File for the Jirca Module:
*
* @package nukeevent.modules.jirca
* @author $Author: xeniac $
* @version $Revision: 1.1 $
*/

/**
*/
function addImages($strDirectory,$strAlbum)
{
    global $neTheme, $neConfig, $neDb;
    $strAlbumPath = DATA_PATH.'gallery/'.$strAlbum;
    if ( !is_dir($strAlbumPath) ) {
		@mkdir($strAlbumPath,'0777') or neDrawError('can_not_create_album');
	}
    @$dir = dir($strDirectory) or neDrawError('directory_not_found');
  	$i = 0;
    ob_end_clean();   
    echo "<p>Adding '$strDirectory' to Album '$strAlbum'...</p><pre>";
    while ($file = $dir->read() ) {
    	$input = $strDirectory.'/'.$file;
		if ( @ !getimagesize($input) ) {
			continue;
	    }
        while (file_exists($strAlbumPath.'/'.$strAlbum."-$i.jpg") ) {
   			$i++;
        }       
    	$output = $strAlbumPath.'/'.$strAlbum."-$i.jpg";
		echo "Moving $input -&gt; $output: ";
    	if ( neResizeImage($input,$output,1024,768) ) {
    		$strQuery  = 'INSERT INTO '.$neConfig['db']['prefix'].'_gallery_photos';
    		$strQuery .= '(image_name,image_album) ';
    		$strQuery .= 'VALUES(';
    		$strQuery .= "'$strAlbum-$i.jpg'";
    		$strQuery .= ",'$strAlbum') ";
    		$result = $neDb->query($strQuery);
    		neGetDbError($result,__LINE__,__FILE__,$strQuery);
    		echo 'sucsess<br/>';
    	} else {
    		echo 'error<br/>';
    	}
		$i++;
    }
	die();
}
/**
*Show the login Form.
*/
function addAlbum($strName,$strTitle,$strDescr,$intVisible)
{
    global $neConfig, $neDb, $neTheme, $neSession;
    $strQuery = 'INSERT INTO '.$neConfig['db']['prefix'];
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);

}


function editAlbum($strName)
{

}

/**
*Show the Chat Window.
*/
function adminGallery()
{
    global $neConfig, $neDb, $neTheme;
    $tpl = $neTheme->getTemplate('gallery','admin_gallery.tpl');
    $tpl->setVariable(array(
        'LABEL_NAME'  => neTranslate('name'),
	'LABEL_TITLE' => neTranslate('title'),
	'LABEL_DESCR' => neTranslate('description'),
	'LABEL_VISIBLE' => neTranslate('visible'),
	'LABEL_CREATED' => neTranslate('created'),
	'LABEL_LAST_ADDED' => neTranslate('last_added'),
	'LABEL_FUNCTIONS' => neTranslate('functions'),
	'ADD_ALBUM' => '<a href="admin.php?mod=gallery&amp;op=add_album>'
	               .neTranslate('add_album').'</a>'
    ));
    $strQuery  = 'SELECT * FROM '.$neConfig['db']['prefix'].'_gallery_albums';
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    while ( $album = $result->fetchRow(DB_FETCHMODE_ASSOC) ) {
       $tpl->setCurrentBlock('album');
       
       $tpl->setVariable(array(
           'NAME' => $album['album_name'],
	   'TITLE' => $album['album_title'],
	   'DESCR' => $album['album_descr'],
	   'CREATED' => neFormatTimestamp($album['album_created'],'date'),
	   'LAST_ADDED' => neFormatTimestamp($album['album_changed'],'date'),
	   'VISIBLE' => $album['album_visible'],
	   'EDIT' => '<a href="admin.php?mod=gallery&amp;op=edit_album&amp;'
	             .'name='.$album['album_name'].'">'
		     .$neTheme->getImage('edit',neTranslate('edit')).'</a>',
	   'DELETE' => $neTheme->getImage('delete',neTranslate('delete')),
	   'ADD_IMAGES' => '<a href="admin.php?mod=gallery&amp;op=add_images'
	   		   .'&amp;name='.$album['album_name'].'">'.
			   $neTheme->getImage('image',neTranslate('add_iamges'))
       	                   .'</a>'
       ));
    }
    $tpl->show();
    $neTheme->drawSite();
}

?>
