<?php
function install()
{
    global $neDb, $neConfig;
    addModule('gallery','Gallery');
    addAdminMenu('gallery','admin_gallery','admin albums');
    addAdminMenu('gallery','add_images','add images');
    addAdminMenu('gallery','approve_images','approve images');
    mkdir(DATA_PATH.'gallery');
    $strQuery  = 'CREATE TABLE IF NOT EXISTS ';
    $strQuery .= $neConfig['db']['prefix'].'_gallery_albums(';
    $strQuery .= 'album_name    varchar(40) NOT NULL, ';
    $strQuery .= 'album_title   varchar(40) NOT NULL default \'\', ';
    $strQuery .= 'album_descr   text        NULL, ';
    $strQuery .= 'album_visible int(1)     NOT NULL default\'0\', ';
    $strQuery .= 'album_created datetime   NOT NULL, ';
    $strQuery .= 'album_changed datetime   NOT NULL, ';
    $strQuery .= 'PRIMARY KEY album_name (album_name)) ';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery);
}

/**
* uninstalls the module
*/
function uninstall()
{
    global $neDb, $neConfig;
    removeModule('gallery','Gallery');
    removeAdminMenu('gallery');
    $strQuery  = 'DROP TABLE IF EXISTS '.$neConfig['db']['prefix'].'_gallery_albums';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery);
}

switch ($neOp){
    case 'install_module':
        install();
        $neTheme->drawSite();
        break;
    case 'uninstall_module':
        uninstall();
        $neTheme->drawSite();
	break;
}
?>
