<?php
//--_editSubmenu---------------------------------------------------------------
$intDepth=0;
/**
* Needet for editMenu() to Edit Submenues Recursive.
*/
function _editSubmenu($intParentId)
{
    global $neConfig, $neDb, $intDepth;
    if ($intParentId != 0 ) $intDepth++;
    $strMenuTable = $neConfig['db']['prefix'].'_menu';
    $strQuery  = "SELECT menu_id, text, url, active, weight ";
    $strQuery .= "FROM ".$neConfig['db']['prefix']."_menu ";
    $strQuery .= "WHERE parent = $intParentId ORDER BY weight";
    $result = $neDb->query($strQuery);
    while(
          list($intId, $strText, $strUrl, $bolActive, $intWeight) =
          $result->fetchRow()
         )
    {
        $low_sub = $intId * 100;
        $high_sub = $low_sub + 99;
        echo '<tr>'."\n";
        echo ' <td class="tableview">'."\n";
        echo str_repeat("&nbsp;", $intDepth*2);
        echo '  <a href="admin.php?op=edit_menu_item&amp;id='.$intId.'">'."\n";
        echo "   $strText"."\n";
        echo '  </a>'."\n";
        echo ' </td>'."\n";

        if ($bolActive){
            echo '<td class="tableview">'."\n";
            echo '<a href="admin.php?mod=menu&amp;op=menu_active&amp;'."\n";
            echo "id=$intId&amp;active=$bolActive\">"."\n";
            echo '<img src="images/ledgreen.png" border="0"/>'."\n";
            echo neTranslate('menu_on');    echo '</a></td>'."\n";
        } else {
            echo '<td class="tableview">'."\n";
            echo '<a href="admin.php?mod=menu&amp;op=menu_active&amp;'."\n";
            echo "id=$intId&amp;active=$bolActive\">"."\n";
            echo '<img src="images/ledred.png" border="0"/>'."\n";
            echo neTranslate('menu_off')."\n";
            echo '</a></td>'."\n";
        }


        echo ' <td class="tableview" align="center">'."\n";
        echo '  <a href="admin.php?mod=menu&amp;op=menu_prompt_delete&amp;'."\n";
        echo    'id='.$intId.'">'."\n";
        echo '   <img src="images/delete.png" border="0"'."\n";
        echo '    alt="'.neTranslate('menu_delete').'"/>'."\n";
        echo     neTranslate('menu_delete')."\n";
        echo '  </a>'."\n";
        echo ' </td>'."\n";

        echo ' <td class="tableview" align="center">'."\n";
        echo '  <a href="admin.php?mod=menu&amp;op=update_menu_order&amp;';
        echo     'id='.$intId.'&amp;move=1">'."\n";
        echo '   <img src="images/uparrow.png" border="0" />';
        echo   '</a>'."\n";
        echo '  <a href="">'."\n";
        echo '   <img src="images/downarrow.png" border="0" />'."\n";
        echo    '</a>'."\n";
        echo ' </td>'."\n";
        echo '</tr>'."\n";
        _editSubmenu($intId);
        $intDepth--;
    }
}

//--adminMenu-------------------------------------------------------------------
/**
* The Menu Editor.
*/
function adminMenu ()
{
    global $neConfig, $neDb, $neTheme;
    $strMenuTable = $neConfig['db']['prefix'].'_menu';
    $neTheme->drawTitle( neTranslate('edit-menu') );

    echo '<p class="advice">'.neTranslate('message-edit_menu').'</p>';

    echo '<table class="tableview" align="center">'."\n";
    echo ' <thead>'."\n";
    echo '  <col width="50%" align="left">'."\n";
    echo '  <col align="left" />'."\n";
    echo '  <col align="center" />'."\n";
    echo '  <col align="center" />'."\n";
    echo '  <tr>'."\n";
    echo '   <th class="tableview">'.neTranslate('menu_name')."</th>\n";
    echo '   <th class="tableview">'.neTranslate('menu_active')."</th>\n";
    echo '   <th class="tableview">'.neTranslate('menu_delete')."</th>\n";
    echo '   <th class="tableview">'.neTranslate('menu_order')."</th>\n";
    echo '  </tr>'."\n";
    echo ' </thead>'."\n";
    echo ' <tbody>'."\n";
    _editSubmenu(0);
    echo ' </tbody>\n';
    echo '</table>\n';
    ?>
    <form action="admin.php" method="get">
     <fieldset>
      <legend>
       <?php echo neTranslate('add_menu_item'); ?>
      </legend>
      <input type="hidden" name="mod" value="menu" />
      <input type="hidden" name="op" value="add_menuentry" />
      <table class="formtable">
       <tr class="formtable">
        <th class="formtable">
         <?php echo neTranslate('subcat_of'); ?>:
        </th>
        <td class="formtable">
         <select name="parent" >
         <option value="0" selected="selected">
          <?echo neTranslate('mainmenu');?>
         </option>
         <?php
          $strMenuTable = $neConfig['db']['prefix'].'_menu';
          $result =$neDb->query("SELECT menu_id, text FROM $strMenuTable
          ORDER BY weight");
          while (list($intId, $strText) = $result->fetchRow() ){
              echo "<option value=\"$intId\">";
              echo $strText;
              echo "</option>\n";
          }
          ?>
         </select>
        </td>
       </tr>
       <tr class="formtable">
        <th class="formtable">
         <?php echo neTranslate('menu_text'); ?>:
        </th>
        <td class="formtable">
         <input class="text" type="text" name="text" maxlength="20" size="40" />
    </td>
    </tr>
    <tr>
     <th class="formtable">
      <?php echo neTranslate('menu_url');?>:
     </th>
     <td>
      <input class="text" type="text" name="url" maxlength="255" size="40" />
     </td>
    </tr>
    <tr>
     <td>
     </td>
     <td align="right">
      <button type="submit"><? echo neTranslate('menu_create');?></button>
        </td>
       </tr>
      </table>
      <?php echo '<p class="advice">'.neTranslate('message-external_links').'</p>'; ?>
    </form>
    <?php
    $neTheme->drawSite();
}


//--AddMenuEntry---------------------------------------------------------------
/**
* Adds a new main menu to the menu Table
*/
function addMenuEntry($strText, $strUrl, $intParent)
{
    global $neConfig, $neDb;
    $strMenuTable = $neConfig['db']['prefix'].'_menu';
    $result = $neDb->query("LOCK TABLE $strMenuTable WRITE");
    neGetDbError($result,__LINE__,__FILE__);
    list($intId) = $neDb->getRow("SELECT max(menu_id) FROM $strMenuTable WHERE menu_id >= '0' AND menu_id < '100'");

    $result_order = $neDb->query("SELECT max(weight) FROM $strMenuTable WHERE parent='0'");
    neGetDbError($result_order,__LINE__,__FILE__);
    list($intOrder) = $result_order->fetchRow();

    $intId = $intId + 1;
    $intOrder = $intOrder + 1;

    $result = $neDb->query("INSERT INTO $strMenuTable (menu_id, text, url, active, weight, parent) VALUES ('$intId', '$strText', '$strUrl', '1', '$intOrder', '$intParent')");
    neGetDbError($result,__LINE__,__FILE__);

    $result = $neDb->query("UNLOCK TABLE");
    neGetDbError($result,__LINE__,__FILE__);
    return $intId;
}


//--promptDeleteMenu($intId)---------------------------------------------------
/**
*
*/
function promptDeleteMenu($intId)
{
    global $neConfig, $neDb, $neTheme;
    $strQuery  = "SELECT text, url ";
    $strQuery .= "FROM ".$neConfig['db']['prefix']."_menu ";
    $strQuery .= "WHERE menu_id = $intId";
    $result = $neDb->getRow($strQuery);
    neGetDbError($result,__LINE__,__FILE__);
    list($strText, $strUrl) = $result;
    $neTheme->drawTitle( neTranslate('delete-menuentry') );
    $strContent = "<table align=\"center\">";
    $strContent .= " <tr>\n";
    $strContent .= "  <td class=\"content\">";
    $strContent .= "   <img src=\"images/warning.png\" align=\"left\" />";
    $strContent .= "   <p class=\"advice\">\n";
    $strContent .= neTranslate('message-really_delete')."<br/>\n";
    $strContent .= "<b>Text:</b>$strText<br/>\n";
	$strContent .= "<b>URL:</b>$strUrl<br/>\n";
    $strContent .= "   </p>\n";
    $strContent .= "  </td>\n";
    $strContent .= " </tr>\n";
    $strContent .= " <tr>\n";
    $strContent .= "  <td class=\"content\" align=\"right\">\n";
    $strContent .= "   <form action=\"admin.php\" method=\"get\">\n";
    $strContent .= "    <input type=\"submit\" name=\"op\" value=\"menu_delete\"/>\n";
    $strContent .= "   </form>\n";
    $strContent .= "   <form action=\"admin.php\" method=\"get\">\n";
    $strContent .= "    <input type=\"hidden\" name=\"mod\" value=\"menu\" />\n";
    $strContent .= "    <input type=\"hidden\" name=\"op\" value=\"$delete_menu\"/>\n";
    $strContent .= "    <input type=\"submit\" name=\"op\" value=\"edit_menu\"/>\n";
    $strContent .= "   </form>\n";
    $strContent .= "  </td>\n";
    $strContent .= " </tr>\n";
    $strContent .= "</table>\n";
	$neTheme->drawDialogbox(neTranslate('delete_menuentry'), $strContent);
    $neTheme->drawSite();
}

function deleteMenu ($intId)
{
    global $neConfig, $dbi;
    $strMenuTable = $neConfig['db']['prefix'].'_menu';
    nesql_query ("delete from $strMenuTable where menu_id = '$intId'", $dbi);
    nesql_query ("delete from $strMenuTable where parent = $intId", $dbi);
    return true;
}

//--menu active----------------------------------------------------------------
/**
*Activates and Deactivate a menue item
*/
function menu_active ($intId, $bolActive)
{
    global $neConfig, $dbi;
    $strMenuTable = $neConfig['db']['prefix']. '_menu';
    $result = nesql_query ("select menu_id from $strMenuTable where parent=$intId",$dbi);
    list($intParent) = mysql_fetch_row($result);

    if($intParent) {
        if($bolActive){
            //nesql_query("update $strMenuTable set active='0' where parent='$intId'",$dbi);
            $neDb->query("update $strMenuTable set active='0' where menu_id='$intId'",$dbi);
        } else {
            //nesql_query("update $strMenuTable set active='1' where parent='$intId'",$dbi);
            $neDb->query("update $strMenuTable set active='1' where menu_id='$intId'",$dbi);
        }
    } else {
        if($bolActive) {
            nesql_query("update $strMenuTable set active='0' where menu_id='$intId'",$dbi);
        } else {
            nesql_query("update $strMenuTable set active='1' where menu_id='$intId'",$dbi);
        }
    }
}


function edit_menu_item ($menu_id)
{

  include ("header.php");

  $result = mysql_query ("select menu_text, menu_url, menu_order, page_id from menu where menu_id=$menu_id");
  $row = mysql_fetch_array($result);
  extract($row);

  if($menu_url == "mod.php?mod=userpage")
  $update_url = "mod.php";
  else
  $update_url = $menu_url;

  echo "
      <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width = \"100%\"><tr><td class=\"type0\">
      <table border=\"0\" cellpadding=\"8\" cellspacing=\"1\" width = \"100%\">
      <tr><td class = \"type4\">Men&uuml;punkt bearbeiten</td></tr>
      <tr><td class = \"type5\">
        <form action=\"admin.php\">";
        $tempword = htmlspecialchars($menu_text);
echo "Men&uuml;-Text: <br /><input type=\"text\" name=\"menu_text\" maxlength=\"60\" size=\"33\"
value=\"$tempword\" />
        <br />
        Men&uuml;-URL:<br /><input type=\"text\" name=\"menu_url\" maxlength=\"255\" size=\"33\" value=\"$update_url\" />
        <input type=\"hidden\" name=\"menu_id\" value=\"$menu_id\" />
        <input type=\"hidden\" name=\"op\" value=\"update_menu_item\" />
        <input type=\"submit\" value=\"Senden\" />
        </form></td></tr></table></td></tr></table>";

  include ("footer.php");
}

function update_menu_item ($menu_id, $menu_text, $menu_url)
{
	if($menu_url == "mod.php")
	$menu_url = "mod.php?mod=userpage";

	mysql_query("update menu set menu_text='$menu_text', menu_url='$menu_url'  where menu_id='$menu_id'");
}

//--orerMenu-------------------------------------------------------------------
function orderMenu ($intId)
{
    neDrawHeader();
    GraphicAdmin();
    $strMenuTable = $neConfig['db']['prefix'].'_menu';
    $result = mysql_query ("select max(weight) from $strMenuTable", $dbi);
    list($max_order) = mysql_fetch_row($result_order);

echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width = \"100%\"><tr><td class=\"type0\">
      <table border=\"0\" cellpadding=\"8\" cellspacing=\"1\" width = \"100%\">
      <tr><td class = \"type4\" colspan=\"2\">Reihenfolge der Men&uuml;punkte &auml;ndern</td></tr>
      <tr><td class = \"type5\" colspan=\"2\">
      <table cellspacing=\"5\">";

 $result = mysql_query("select menu_id, menu_text, menu_url, menu_order, page_id from menu where menu_id >= '$low_sub' and menu_id <= '$high_sub' order by menu_order");

 while(list($menu_id, $menu_text, $menu_url, $menu_order, $page_id) = mysql_fetch_row($result)){

   echo "<tr><td align=\"center\">
<a href=\"admin.php?op=update_menu_order&amp;menu_id=$menu_id&amp;menu_order=$menu_order&amp;move=1\">
<img src=\"./images/menu/up.gif\" border=\"0\" alt=\"Verschieben &quot;$menu_text&quot; eine Ebene zur&uuml;ck\" /></a>
</td> <td>$menu_text</td><td align=\"center\">
<a href=\"admin.php?op=update_menu_order&amp;menu_id=$menu_id&amp;menu_order=$menu_order&amp;move=0\">
<img src=\"./images/menu/down.gif\" border=\"0\" alt=\"Verschieben &quot;$menu_text&quot; eine Ebene zur&uuml;ck\"/></a>
</td></tr>";     }

 echo "<tr><td>&nbsp;</td><td>&nbsp;</td><td><form action=\"admin.php\">
<input type=\"hidden\" name=\"op\" value=\"edit_menu\" /><input type=\"submit\" value=\"Erledigt\" />
</form></td></tr></table></td></tr></table></td></tr></table>";

 neDrawFooter();

}


/**
 *
 */
function updateMenuOrder($intId, $intMove)
{
    global $neDb, $neConfig;
    if ($intMove == 1) {
        $updated_menu_order = ($menu_order - 1);
        if ($updated_menu_order < 0) {
            $updated_menu_order = 0;
        }

        $strQuery  = "SELECT menu_id FROM ".$neConfig['db']['prefix']."_menu ";
        $strQuery .= "WHERE  menu_order = '$updated_menu_order'";
        list($id_old_order) = $neDb->getRow($strQuery);
        $menu_order = ($updated_menu_order + 1);

        if ($menu_order > $max_order) {
            $menu_order = $max_order;
        }
        $strQuery = "UPDATE menu set menu_order='$menu_order' where menu_id='$id_old_order'";
        $result = $neDb->query($strQuery);
        neGetDbError($result,__LINE__,__FILE__,$strQuery);
        $strQuery = "update menu set menu_order='$updated_menu_order' where menu_id='$menu_id'";
        $result = $neDb->query($strQuery);
        neGetDbError($result,__LINE__,__FILE__,$strQuery);
        
    } elseif ($move == 0) {
        $updated_menu_order = ($menu_order + 1);
        if ($updated_menu_order > $max_order){
            $updated_menu_order = $max_order;
        }

        $strQuery = "select menu_id from menu where menu_order = '$updated_menu_order' and menu_id >='$low_sub' and menu_id <= '$high_sub'";
        $result = $neDb->query($strQuery);
        neGetDbError($result,__LINE__,__FILE__,$strQuery);
        list($id_old_order) = mysql_fetch_row($result);
        $menu_order = ($updated_menu_order - 1);
        if ($menu_order < 0){
            $menu_order = 0;
        }

        mysql_query ("update menu set menu_order='$menu_order' where menu_id='$id_old_order'");
        mysql_query ("update menu set menu_order='$updated_menu_order' where menu_id='$menu_id'");
    }
}

/***************************************************************************
 * These functions are mainly for userpage use only. I moved them here to
 * get them out of the userpage.php file.   -Adam
 ***************************************************************************/

function choose_menu ($page_id)
{
  include ("header.php");

  GraphicAdmin(0);

  echo "<center>
	<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width = \"100%\">
	<tr>
	<td class=\"type0\">
	<table border=\"0\" cellpadding=\"8\" cellspacing=\"1\" width = \"100%\">
	<tr>
	<td class = \"type4\">Men&uuml;-Platzierung ausw&auml;hlen</td>
	</tr>
	<tr>
	<td class = \"type5\">Bitte w&auml;hlen Sie aus, wo diese Seite erscheinen soll, indem Sie auf den entsprechenden Link klicken.</td>
	</tr>
  ";

  $result = mysql_query("select menu_id, menu_text, menu_url, menu_active, menu_order from menu where menu_level = 1 order by menu_order");

  echo "
	<tr>
	<td class=\"type5\">[<a href=\"admin.php?op=page_menu_post&amp;page_id=$page_id\">Seite im Hauptbereich hinzuf&uuml;gen</a>]</td>
	</tr>
  ";

  while(list($menu_id, $menu_text, $menu_url, $menu_active, $menu_order) = mysql_fetch_row($result))
  {
     $low_sub = $menu_id * 100;
     $high_sub = $low_sub + 99;

     echo "
<tr>
      <td class=\"type5\"><b>$menu_text</b><br />
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      [<a href=\"admin.php?op=sub_page_menu_post&amp;low_sub=$low_sub&amp;page_id=$page_id\">Seite hinzuf&uuml;gen unter $menu_text</a>]
      </td>
</tr>
     ";

     $result_sub = mysql_query("select menu_id, menu_text, menu_url, menu_active, menu_order from menu where menu_level = 2 and menu_id >=  $low_sub and menu_id <=  $high_sub order by menu_order");

     while(list($menu_id, $menu_text, $menu_url, $menu_active, $menu_order) = mysql_fetch_row($result_sub))
     {
       $low_sub2 = $menu_id * 100;
       $high_sub2 = $low_sub2 + 99;

       echo"
	<tr>
	<td class=\"type5\"><span class=\"onebiggerred\">&gt;&gt;</span>
	<b>$menu_text</b><br />
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	[<a href=\"admin.php?op=sub_page_menu_post&amp;low_sub=$low_sub2&amp;page_id=$page_id\">Seite hinzuf&uuml;gen unter $menu_text</a>]
	</td>
	</tr>
       ";

     $result_sub2 = mysql_query("select menu_id, menu_text, menu_url, menu_active, menu_order from menu where menu_level = 3 and menu_id >=  $low_sub2 and menu_id <=  $high_sub2 order by menu_order");

     while(list($menu_id, $menu_text, $menu_url, $menu_active, $menu_order) = mysql_fetch_row($result_sub2))
     {
       echo"
	<tr>
	<td class=\"type5\"><span class=\"onebiggerred\">&gt;&gt;&gt;&gt;</span>
	<b>$menu_text</b>
	</td>
	</tr>
       ";
     }
   }
 }

  echo "
</table>
</td></tr></table>
</center>
  ";

  include ('footer.php');
}

function get_menu_text ($menu_id)
{
        include ("header.php");
	GraphicAdmin(1);

	$result = mysql_query("select menu_text from menu where menu_id='$menu_id'");
	list($link) = mysql_fetch_row($result);

	echo "
	<table border=\"0\" bgcolor=\"#000000\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">
	<tr>
	<td>
	<table border=\"0\" width=\"100%\" cellpadding=\"5\" cellspacing=\"1\">
	<tr>
	<td class=\"type4\">Men&uuml;-Text:</td>
	</tr>
	<tr>
	<td class=\"type5\"><object><form method=\"post\" action=\"admin.php\">Bitte geben Sie folgendem Link einen Namen:
        <input type=\"text\" name=\"link\" maxlength=\"60\" size=\"33\" value=\"$link\" />
        <input type=\"hidden\" name=\"op\" value=\"update_link_text\" />
        <input type=\"hidden\" name=\"menu_id\" value=\"$menu_id\" />
        <br /><input type=\"submit\" value=\"Link-Text senden\" />
        </form></object>
	</td>
	</tr>
	</table>
        </td>
	</tr>
	</table>
        ";
	include("footer.php");
}

function update_link_text($menu_id, $link)
{
        mysql_query("update menu set menu_text='$link' where menu_id='$menu_id'");
}

function page_menu_post ($page_id)
{

  include("header.php");

  mysql_query("lock table menu write");
  $result_id = mysql_query ("select max(menu_id) from menu where menu_id >= '0' and menu_id < '100'");
  list($menu_id) = mysql_fetch_row($result_id);

  $result_order = mysql_query ("select max(menu_order) from menu where menu_level='1'");
  list($menu_order) = mysql_fetch_row($result_order);

  $menu_text = "Bitte Namen des Links hier eingeben";

    $menu_id = $menu_id + 1;
  $menu_order = $menu_order + 1;

  mysql_query("insert into menu (menu_id, menu_text, menu_url, menu_level, menu_active, menu_order, page_id) values ('$menu_id', '$menu_text', 'mod.php?mod=userpage', '1', '1', '$menu_order', '$page_id')");

  mysql_query("unlock table");

  echo "
      <center>
      <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width = \"100%\"><tr>
      <td class=\"type0\">
      <table border=\"0\" cellpadding=\"8\" cellspacing=\"1\" width = \"100%\">
      <tr><td class = \"type4\">Men&uuml;punkt bearbeiten</td></tr>
      <tr><td class = \"type5\">

	Bitte geben Sie dieser Seite einen kurzen Link-Namen f&uuml;r das Men&uuml;:
        <form action=\"admin.php\">
	Men&uuml;-Text: <br /><input type=\"text\" name=\"menu_text\" maxlength=\"60\" size=\"33\" value=\"$menu_text\" />
        <br />

        <input type=\"hidden\" name=\"menu_id\" value=\"$menu_id\" />
        <input type=\"hidden\" name=\"op\" value=\"update_page_menu\" />
        <input type=\"submit\" value=\"Submit\" />
        </td></tr></table></td></tr></table>";

  include("footer.php");

}

function sub_page_menu_post ($low_sub, $page_id)
{
  include ("header.php");
  $high_sub = $low_sub + 99;

  mysql_query("lock table menu write");
  $result_id = mysql_query ("select max(menu_id) from menu where menu_id >= '$low_sub' and menu_id <= '$high_sub'");
  list($menu_id) = mysql_fetch_row($result_id);

  $result_order = mysql_query ("select max(menu_order) from menu where menu_id >= '$low_sub' and menu_id <= '$high_sub'");
  list($menu_order) = mysql_fetch_row($result_order);

  if ($menu_id == ""){
    $menu_id = $low_sub;
    $menu_order = 0;

  }

  else{
    $menu_id = $menu_id + 1;
    $menu_order = $menu_order + 1;
  }

  if ($menu_id < 10000){
    mysql_query("insert into menu (menu_id, menu_text, menu_url, menu_level, menu_active, menu_order, page_id) values ('$menu_id', '$menu_text', 'mod.php?mod=userpage', '2', '1', '$menu_order', '$page_id')");
  }
  else {
    mysql_query("insert into menu (menu_id, menu_text, menu_url, menu_level, menu_active, menu_order, page_id) values ('$menu_id', '$menu_text', 'mod.php?mod=userpage', '3', '1', '$menu_order', '$page_id')");
  }

  mysql_query("unlock table");

  echo "
      <center>
      <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width = \"100%\"><tr>
      <td class=\"type0\">
      <table border=\"0\" cellpadding=\"8\" cellspacing=\"1\" width = \"100%\">
      <tr><td class = \"type4\">Men&uuml;punkt bearbeiten</td></tr>
      <tr><td class = \"type5\">

	Bitte geben Sie dieser Seite einen kurzen Link-Namen f&uuml;r das Men&uuml;:
        <form action=\"admin.php\">
	Men&uuml;-Text: <br /><input type=\"text\" name=\"menu_text\" maxlength=\"60\" size=\"33\" value=\"$menu_text\" />
        <br />

        <input type=\"hidden\" name=\"menu_id\" value=\"$menu_id\" />
        <input type=\"hidden\" name=\"op\" value=\"update_page_menu\" />
        <input type=\"submit\" value=\"Senden\" />
        </td></tr></table></td></tr></table>";

  include ("footer.php");
}

function update_page_menu($menu_id, $menu_text)
{
   mysql_query("update menu set menu_text='$menu_text'  where menu_id='$menu_id'");
}

function menu_saved()
{
	include("header.php");
	GraphicAdmin(0);

	$title = "<b>Menu Item Saved!</b>";
	$content = "Your page has successfully beed saved to the menu!";
	thememainbox($title, $content);

	include("footer.php");
}
?>
