<?php

/**
 * Adds an Module if it don't exists.
 */
function addModule($strModulename, $strTitle){
   global $neConfig, $neDb, $neTheme;
    /* First Chack if the Module already exists */
    $strQuery  = "SELECT module_id ";
    $strQuery .= "FROM ".$neConfig['db']['prefix']."_modules ";
    $strQuery .= "WHERE name='$strModulename'";
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    if ($result->numRows() == 0){
        $strQuery  = "SELECT module_id ";
        $strQuery .= "FROM ".$neConfig['db']['prefix']."_modules ";
        $strQuery .= "ORDER BY module_id DESC LIMIT 1";
        list($intId) = $neDb->getRow($strQuery);
        $intId = ($intId + 1);
        $strQuery  = "INSERT INTO ".$neConfig['db']['prefix']."_modules ";
        $strQuery .= "VALUES('$intId','$strModulename','0','0','$strTitle')";
        $result = $neDb->query($strQuery);
        neGetDbError($result,__LINE__,__FILE__,$strQuery);       
    } else {
        echo 'Module is already installed, please use the upgrade function<br/>';
    }
    
    if (file_exists('modules/'.$strModulename.'/'.$strModulename.'.png') ){
        echo 'Installing '. $strModulename.'.png<br/>';
        if (!is_dir(IMAGE_PATH.'modules/')){
            mkdir (IMAGE_PATH.'modules/','0777');
        }
        if (copy('modules/'.$strModulename.'/'.$strModulename.'.png','images/modules/'.$strModulename.'.png')){
            echo 'sucsessfull';
        } else {
            echo 'error';
        }
    } elseif (file_exists('modules/'.$strModulename.'/'.$strModulename.'.gif') ){
        echo 'Installing '. $strModulename.'.gif<br/>';
        copy('modules/'.$strModulename.'/'.$strModulename.'.gif','images/modules/'.$strModulename.'.gif');
    }
}

/**
 * Adds an Module if it don't exists.
 */
function removeModule($strModulename){
   global $neConfig, $neDb, $neTheme;
    /* Delete the module entry */
    $strQuery = "DELETE FROM ".$neConfig['db']['prefix']."_modules ";
    $strQuery .= "WHERE name='$strModulename'";
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    if (file_exists('images/modules/'.$strModulename.'.png') ){
        echo 'Removing'. $strModulename.'.png<br/>';
        if (unlink('images/modules/'.$strModulename.'.png')){
            echo 'sucsessfull';
        } else {
            echo 'error';
        }
    } elseif (file_exists('images/modules/'.$strModulename.'.gif') ) {
        echo 'Removing'. $strModulename.'.gif<br/>';
        if (unlink('images/modules/'.$strModulename.'.gif')){
            echo 'sucsessfull';
        } else {
            echo 'error';
        }
    }
}
/**
 * Adds an Entry into the Adminmenu if it don't exists.
 */
function addAdminmenu($strModulename, $strOp, $strTitle){
   global $neConfig, $neDb, $neTheme;
    /* First Chack if the Module already exists */
    $strQuery  = "SELECT menu_id ";
    $strQuery .= "FROM ".$neConfig['db']['prefix']."_admin_menu ";
    $strQuery .= "WHERE module='$strModulename' AND op='$strOp'";
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    if ($result->numRows() == 0){
        $strQuery  = "SELECT menu_id ";
        $strQuery .= "FROM ".$neConfig['db']['prefix']."_admin_menu ";
        $strQuery .= "ORDER BY menu_id DESC LIMIT 1";
        list($intId) = $neDb->getRow($strQuery);
        $intId = ($intId + 1);
        $strQuery  = "INSERT INTO ".$neConfig['db']['prefix']."_admin_menu ";
        $strQuery .= "VALUES('$intId','$strTitle', '$strModulename','$strOp','0')";
        $result = $neDb->query($strQuery);
        neGetDbError($result,__LINE__,__FILE__,$strQuery);       
    } else {
        echo 'Menu_entry allready exists';
    }
}

function removeAdminmenu($strModulename, $strOp=''){
   global $neConfig, $neDb, $neTheme;
    /* First Chack if the Module already exists */
    $strQuery = "DELETE FROM ".$neConfig['db']['prefix']."_admin_menu ";
    $strQuery .= "WHERE module='$strModulename' ";
    if ( !empty($strOp)) {
        $strQuery .= "AND op='$strOp'";
    } 
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);       
    echo 'Menu_entry deleted.';
}

/**
 * Sets a Module to active.
 * @param integer Module ID.
 */
function activateModule($intId)
{
    global $neConfig, $neDb, $neTheme;
    $strModulesTable = $neConfig['db']['prefix'].'_modules';
    $strQuery = "update $strModulesTable SET active='1' where module_id='$intId'";
    $result = $neDb->query($strQuery);
    if (DB::isError($result)) {
        $neTheme->drawErrorpage(
            $result->getMessage(),
            _($result->getMessage())
        );
    } else {
        header("Location: ".$neConfig['site']['url']."/admin.php?mod=module-admin&op=admin_modules");
    }
}


/**
 * Sets a Module to inactive.
 * @param integer Module ID.
 */
function deactivateModule($intId)
{
    global $neConfig, $neDb, $neTheme;
    $strModulesTable = $neConfig['db']['prefix'].'_modules';
    $strQuery = "update $strModulesTable set active='0' where module_id='$intId'";
    $result = $neDb->query($strQuery);
    if (DB::isError($result)) {
        themeErrorpage(
            $result->getMessage(),
            _($result->getMessage())
        );
    } else {
        header("Location: ".$neConfig['site']['url']."/admin.php?mod=module-admin&amp;op=admin_modules");
    }

}


/**
 * Changes the Access Permissions from the Modules
 */
function changeModulesPermission($arrPermissions)
{
    global $neConfig, $neDb, $neTheme;
    $strModulesTable = $neConfig['db']['prefix'].'_modules';
    foreach($arrPermissions as $intId => $intView) {
        $strQuery = "UPDATE $strModulesTable SET visible='$intView' ";
        $strQuery.= "WHERE module_id='$intId'";
        $result = $neDb->query($strQuery);
        neGetDbError($result,__LINE__,__FILE__);
    }
    header("Location: ".$neConfig['site']['url']."/admin.php?mod=module-admin&amp;op=admin_modules");
}


/**
 * Shows the Readme of a Module.
 */
function showReadme($strModuleName)
{
    global $neTheme;
    $neTheme->drawTitle("$strModuleName : README");
    echo "<pre>";
    readfile("modules/$strModuleName/README");
    echo "</pre>";
    echo "<hr/>";
    echo "<a href=\"admin.php?mod=module-admin&amp;op=admin_modules\">";
    echo " &lt;&lt;"._('back_to_moduleadmin');
    echo "</a>";
    $neTheme->drawSite();

}

/**
 * Shows the Readme of a Module.
 */
function showInstallModuleForm()
{
    global $neTheme;
    $neTheme->drawTitle(_('install_module'));
    ?>
    <form name="install_module" action="admin.php" method="get">
    <input type="hidden" name="mod" value="module-admin" />
    <input type="hidden" name="op" value="install_module" />
    <table class="formtable" align="center">
     <tr>
      <td class="formheader" colspan="2">
       <?php echo _('install module') ?>
      </td>
     </tr>
     <tr>
      <th class="formdescr">
       <?php echo _('module name')?>
      </th>
      <td class="formelement">
       <select class="select" name="mod_name">
       <?php
       $modFolder = dir('modules/');
       while ( $modName = $modFolder->read() ) {
           if ( preg_match("/(\.|\/)/",$modName) ) {
               continue;
           } elseif ( file_exists('modules/'.$modName.'/'.$modName.'_setup.php') ) {
               echo '<option>'.$modName.'</option>';
           }
       }
       ?>
       </select>
      </td>
     </tr>
     <tr>
      <td class="formbuttons" colspan="2">
       <input type="submit" class="submit">
      </td>
     </tr>
    </table>
    <?php
    $neTheme->drawSite(_('install_module'));

}

/**
 * A function to edit some Parameter of a Module
 */
function editModule($intId)
{
    global $neConfig, $neDb, $neTheme;
    $neTheme->drawErrorpage('under construction','comming soon');
}

/**
 * the Index Site fot the Module Administration
 */
function adminModules()
{
    global $neConfig, $neDb, $neTheme;
    $strModulesTable = $neConfig['db']['prefix'].'_modules';
    $strQuery = "SELECT module_id,name,title,active,visible FROM $strModulesTable";
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    $neTheme->drawTitle('Modules Admin');
    echo '<p class="advice">'._('message-admin_modules').'</p><br/>';
    ?>
    <form action="admin.php" method="get">
    <input type="hidden" name="mod" value="module-admin" />
    <input type="hidden" name="op" value="change_modules_perm" />
    <table class="tableview" width="100%">
     <tr class="tableview">
      <th class="tableview"><?php echo neTranslate('icon');?></th>
      <th class="tableview"><?php echo neTranslate('name');?></th>
      <th class="tableview"><?php echo neTranslate('title');?></th>
      <th class="tableview"><?php echo neTranslate('visible');?></th>
      <th class="tableview"><?php echo neTranslate('status');?></th>
      <th class="tableview"><?php echo neTranslate('functions');?></th>
     </tr>
    <?php
    while (list($intId,$strName,$strTitle,$bolActive,$intView) =
    $result->fetchRow() ){
    ?>
     <tr class="tableview">
      <td class="tableview" align="center">
       <?php $neTheme->drawImage('modules/'.$strName,$strTitle); ?>
      </td>
      <td class="tableview">
       <?php echo $strName;?>
      </td>
      <td class="tableview" width="25%">
       <?php echo _($strTitle);?>
      </td>
      <td class="tableview" align="center">
      <?php
    echo '<select class="select" name="view['.$intId.']">';
    if ( $intView == 2 ) {
        echo '<option value="2" selected="selected">';
        echo _('all_users');
        echo '</option>';
    } else {
            echo '<option value="2">';
            echo _('all_users');
            echo '</option>';
        }
        if ( $intView == 1 ) {
            echo '<option value="1" selected="selected">';
            echo _('registed_only');
            echo '</option>';
        } else {
            echo '<option value="1">';
            echo _('registed_only');
            echo '</option>';
        }
        if ( $intView == 0 ) {
            echo '<option value="0" selected="selected">';
            echo _('admin_only');
            echo '</option>';
        } else {
            echo '<option value="0">';
            echo _('admin_only');
            echo '</option>';
        }
        echo '</select>';
        echo "</td>\n";
       echo '<td class="tableview" align="center">';
        if ($bolActive == 1) {
            echo '<a href="admin.php?mod=module-admin&amp;op=deactivate_module&amp;id='.$intId.'">';
            $neTheme->drawImage('ledgreen',_('active'));
            echo '</a>';
        } else {
            echo '<a href="admin.php?mod=module-admin&amp;op=activate_module&amp;id='.$intId.'">';
            $neTheme->drawImage('ledred',_('inactive'));
            echo '</a>';
        }
        echo "</td>\n";
        echo '<td class="tableview" align="right">';
        if (file_exists('modules/'.$strName.'/'.$strName.'_setup.php') ) {
            echo '<a href="admin.php?mod=module-admin&amp;op=install_module&amp;mod_name='.$strName.'">';
            echo '<img src="images/setup.png" alt="[Setup]" border="0">';
            echo "</a>";

            echo '<a href="admin.php?mod=module-admin&amp;op=uninstall_module&amp;mod_name='.$strName.'">';
            echo '<img src="images/delete.png" alt="[Setup]" border="0">';
            echo "</a>";

        }
        if (file_exists("modules/$strName/README") ) {
            echo "<a href=\"admin.php?mod=module-admin&amp;op=show_readme&amp;mod_name=$strName\">";
            $neTheme->drawImage('readme',_('show_readme'));
            echo "</a>";
        }
        echo '<a href="admin.php?mod=module-admin&amp;op=edit_module&amp;id='.$intId.'">';
           $neTheme->drawImage('edit',_('show_details'));
         ?>
      </td>
     </tr>
     <?php
    }
    echo '<tr><td colspan="7" class="formbuttons">';
    echo '<input type="submit" class="submit" value="'._('change_rights').'">';
    echo '</td></tr>';
    echo '</table>';
    echo '</form>';
   $neTheme->DrawSite();
}
?>
