<?php
/**
* shows all reviews.
*/
function reviews_index($letter = null,$field = date,$order = ASC) {
    global $neConfig, $neTheme, $neSession, $neDb;
    $tpl = $neTheme->getTemplate('reviews','reviews_index.tpl');
    //Build the SQL Query
    $strQuery  = "SELECT review_id, title, date, hits, reviewer,score ";
    $strQuery .= "FROM ".$neConfig['db']['prefix']."_reviews ";
    //If a Letter is submited Only show Events with starting with this Letter
    if (!empty($letter)) {
        $strQuery .= "WHERE title like('$letter%') ";
    }
    switch ($field) {
      case 'autor':
        $strQuery .= 'ORDER BY reviewer ';
        break;
      case 'score':
        $strQuery .= 'ORDER BY score ';
        break;
      case 'hits':
        $strQuery .= 'ORDER BY hits ';
        break;
      default:
        $strQuery .= 'ORDER BY date ';
        break;
    }
    if ($order == 'ASC'){
        $strQuery .= 'ASC ';
    } else {
        $strQuery .= 'DESC ';
    }
    $result = $neDb->Query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    
    //Draw Output
    $link = 'index.php?mod=reviews&amp;op=index&amp;letter='.$letter;
    $tpl->setVariable(array(
        'LABEL_GO_TO' => neTranslate('go_to'),
        'LABEL_DATE' => neTranslate('date'),
        'LABEL_TITLE' => neTranslate('title'),
        'LABEL_AUTOR' => neTranslate('autor'),
        'LABEL_SCORE' => neTranslate('score'),
        'LABEL_HITS' => neTranslate('hits'),
        'IMAGE_ASC' => $neTheme->getImageSrc('asc',neTranslate('ascending')),
        'IMAGE_DESC' => $neTheme->getImageSrc('desc',neTranslate('descending')),
        'LABEL_SORT_DATE_ASC' => neTranslate('sort_date_asc'),
        'LABEL_SORT_DATE_DESC' => neTranslate('sort_date_desc'),
        'LABEL_SORT_TITLE_ASC' => neTranslate('sort_title_asc'),
        'LABEL_SORT_TITLE_DESC' => neTranslate('sort_title_desc'),
        'LABEL_SORT_AUTOR_ASC' => neTranslate('sort_autor_asc'),
        'LABEL_SORT_AUTOR_DESC' => neTranslate('sort_autor_desc'),
        'LABEL_SORT_SCORE_ASC' => neTranslate('sort_score_asc'),
        'LABEL_SORT_SCORE_DESC' => neTranslate('sort_score_desc'),
        'LABEL_SORT_HITS_ASC' => neTranslate('sort_hits_asc'),
        'LABEL_SORT_HITS_DESC' => neTranslate('sort_hits_desc'),
        
        'LINK_SORT_DATE_ASC' => $link.'&amp;field=date&amp;order=ASC',
        'LINK_SORT_DATE_DESC' => $link.'&amp;field=date&amp;order=DESC',
        'LINK_SORT_TITLE_ASC' => $link.'&amp;field=title&amp;order=ASC',
        'LINK_SORT_TITLE_DESC' => $link.'&amp;field=title&amp;order=DESC',
        'LINK_SORT_AUTOR_ASC' => $link.'&amp;field=autor&amp;order=ASC',
        'LINK_SORT_AUTOR_DESC' => $link.'&amp;field=autor&amp;order=DESC',
        'LINK_SORT_SCORE_ASC' => $link.'&amp;field=score&amp;order=ASC',
        'LINK_SORT_SCORE_DESC' => $link.'&amp;field=score&amp;order=ASC',
        'LINK_SORT_HITS_ASC' => $link.'&amp;field=hits&amp;order=ASC',
        'LINK_SORT_HITS_DESC' => $link.'&amp;field=hits&amp;order=DESC'
    ));
    while (list(, $ltr) = each($alphabet)) {
        echo '<option value="'.$ltr.'">'.$ltr."</option>\n";
        $counter++;
    }

    $tpl->setCurrentBlock('review');
    while ($result->fetchInto($review,DB_FETCHMODE_ASSOC) ) {
        $tpl->setVariable(array(
            'TITLE' => $review['title'],
            'HITS' => $review['hits']
        ));
        $tpl->parse('review');
    }
    $strQuery = 'SELECT review_id FROM '.$neConfig['db']['prefix'].'_reviews';
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    $numresults = $result->numRows($result);
    echo _THEREARE." $numresults "._REVIEWSINDB;
    $tpl->show();    
    $neTheme->drawSite();
}
?>
