<?php
/*==NukeEvent Portal System====================================================
Copyright 2002 by Christian Berg

Code based on PHP-NUKE Web Portal System Copyright (c) 2002 by
Francisco Burzi (fbc@mandrakesoft.com) http://phpnuke.org

This program is free software. You can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 or any higher Version
of the License.
==============================================================================*/

/**
* This module administrates and shows the Topics of a NukeEvent Site.
*
* @package nukeevent.modules.topics
* @author Christian Berg
* @version $Revision: 1.1 $
*/

neGetlang($neModuleName);
/**
* load the configuration for the topics module
*/ 
require_once('modules/topics/config.php');
/**
* load the functions needet my the topics module
*/
require_once('modules/topics/topics_functions.php');

if (isset($_POST['topic_id'])){
    $intTopicId = (int) $_POST['topic_id'];
} elseif (isset($_GET['topic_id'])) {
    $intTopicId = (int) $_GET['topic_id'];
}    
if (isset($_GET['linkid']) ) {
    $intLinkId  = (int) $_GET['linkid'];
}
if (isset($_POST['topic_name']) ) {
    $strName  =  neCheckText($_POST['topic_name'],'nohtml');
}    
@$strTitle       = (string)  neFilterText($_POST['topic_title'],'nohtml');
@$strDescription = (string)  neFilterText($_POST['topic_description'],'inline');
@$strLinkName    = (string)  neFilterText($_POST['link_name'],'nohtml');
@$strLinkUrl     = (string)  neFilterText($_POST['link_url'],'nohtml');
@$bolConfirmed    = (boolean) $_GET['is_confirmed'];
if ($neModuleLoader == 'admin.php' and empty($neOp)){
    $neOp='admin_topics';
}

if ( $neSession->IsAdmin($neModuleName) ) {
    switch ($neOp) {
      case 'add_link':
        require_once('modules/topics/topics_linkfunctions.php');
        addLink($intTopicId, $strLinkName, $strLinkUrl);
        die();
        break;

      case 'delete_link':
        require_once('modules/topics/topics_linkfunctions.php');
        deleteLink($intLinkId,$intTopicId);
        die();
        break;

      case 'edit_links':
        require_once('modules/topics/topics_linkfunctions.php');
        editTopicLinks($intTopicId);
        die();
        break;

      case 'add_topic':
        drawAddTopicForm($strName, $strTitle);
        die();
        break;

      case 'delete_topic':
        if ($bolConfirmed){
            deleteTopic($intTopicId);
        } else {
            drawDeleteAsk();
        }
        die();
        break;

      case 'edit_topic':
        editTopic($intTopicId);
        die();
        break;

      case 'post_add':
        addTopic($intTopicId, $strName, $strTitle, $strDescription);
		die();
        break;

      case 'post_edit':
        submitEdit($intTopicId, $strName, $strTitle, $strDescription);
        die();
        break;

      case 'admin_topics':
        drawTopicsAdmin();
        die();
        break;;
    }
}

switch ($neOp) {
  default:
    drawTopics();
    break;;
}
?>
