<?php
function deleteImage($strFilename) {
    global $neConfig,$neTheme;
    if (@unlink(IMAGE_DIR.$strFilename) ) {
        @unlink(THUMB_DIR.$strFilename);
        neRedirect('admin.php?mod=content&op=admin_images');
    } else {
        $neTheme->drawErrorPage(
	    neTranslate('file_not_found'),
	    neTranslate('text-file_not_found').$strFilename
	);
    }    
}


function exportImage($strFile) {
    global $neConfig;
    $strName = basename($strFile);
    header('Content-Type: application/octet-strem');
    header('Content-Disposition: attachment; filename="'.$strName.'"');
    header('Content-Disposition: inline; filename="'.$strName.'"');
    echo file_get_contents($strFile);
}
/**
*
*/
function createThumbnail($filename) 
{
    if (!is_dir(THUMB_DIR) ) {
        mkdir(THUMB_DIR,0777);
    }
    neResizeImage(IMAGE_DIR.$filename,THUMB_DIR.$filename,48,48);
    /*system('convert -size 32x32 '.IMAGE_DIR.$filename  
	.' -resize 32x32 +profile "*" '.THUMB_DIR.$filename);
    */
}


/**
* searches for a Thumbnail for an Image.
* @returns string the Location of the Images
*/
function getThumbnail($filename){
	if (!is_file(THUMB_DIR.$filename) ) {
        createThumbnail($filename);
    }
    return(THUMB_DIR.$filename);
}

/**
* Show the uploaded Images
*/
function adminImages()
{
    global $neConfig, $neDb, $neTheme, $neModuleName;
    $tpl = $neTheme->getTemplate($neModuleName,'admin_images.tpl');
    if (!is_dir('data/content') ) {
	mkdir('data/content');
    }
    if ( !$imageDir = dir('data/content') ) {
        $neTheme->drawErrorPage(neTranslate('no_data_directory'));
    }
    $tpl->setVariable(array(
        'LABEL_THUMBNAIL' => neTranslate('thumbnail'),
        'LABEL_FILENAME' => neTranslate('file_name'),
        'LABEL_FILESIZE' => neTranslate('file_size'),
        'LABEL_WIDTH' => neTranslate('width'),
        'LABEL_HEIGHT' => neTranslate('height'),
        'LABEL_FUNCTIONS' => neTranslate('functions')
    ));
    while( $imageFile = $imageDir->read() ) { 
        if ( ereg("^\.",$imageFile) ) { continue;}
        $tpl->setCurrentBlock('image');
        $filename = 'data/content/'.$imageFile;
        if (!list($width,$height,$type,$imgsize) = @getimagesize($filename)) {continue;}
        $tpl->setVariable(array(
            'THUMBNAIL' => getThumbnail($imageFile),
            'IMGSRC' => $filename,
	    'FILENAME' => $imageFile,
            'FILESIZE' => round(filesize($filename)/1024),
	    'WIDTH' => $width,
	    'HEIGHT' => $height,
            'EXPORT' => '<a href="admin.php?mod=content&amp;op=export_image&amp;file='.$filename.'">'
	                .$neTheme->getImage('save',neTranslate('export',1)).'</a>', 
	    'DELETE' => '<a href="admin.php?mod=content&amp;op=delete_image&amp;file='.$imageFile.'" onclick="confirmBox(this,\''.neTranslate('message-really_delete').'\')">'.$neTheme->getImage('delete',neTranslate('delete',1)).'</a>'
	));
        $tpl->parse('image');    
    }
    $tpl->show();
    $neTheme->drawSite();
}
?>
