<?php
/*==NukeEvent Portal System=====================================================
Copyright 2002 by Christian Berg

Code based on PHP-NUKE Web Portal System Copyright (c) 2002 by
Francisco Burzi (fbc@mandrakesoft.com) http://phpnuke.org

This program is free software. You can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 or any higher Version
of the License.
==============================================================================*/

/**
* This is the Events Module for Nuke-Event.
* This File Displays an overview of all upcomming Events
* @package events
* @author $Author: x-eniac $
* @version $Revision: 1.1 $
*/
neGetlang($neModuleName);
/**
* load the configuration for the News Module.
*/
require_once ('modules/events/config.php');
/**
* load the common Functions for the News Module.
*/
require_once ('modules/events/events_functions.php');
//==Main Routine================================================================
if (isset($_POST['event_id'])) {
    $intId= (int) $_POST['event_id'];
} elseif (isset($_GET['id'])) {
    $intId= (int) $_GET['id'];
}
if (isset($_GET['topic'])) {
    $intTopic= $_GET['topic'];
}
if ($neModuleLoader == 'admin.php' and empty($neOp)) {
    $neOp= 'admin_events';
}
//administrative operations
if ($neSession -> isAdmin($neModuleName)) {
    switch ($neOp) {
        case 'activate' :
            include_once ('modules/events/events_admin.php');
            submitEditArticle($_POST);
            activateArticle($intId);
            neRedirect("admin.php?mod=news&op=admin_news");
            break;
        case 'deactivate' :
            include_once ('modules/news/news_admin.php');
            submitEditArticle($_POST);
            deactivateArticle($intId);
            neRedirect("admin.php?mod=news&op=admin_news");
            die();
            break;
        case 'delete' :
            include_once ('modules/news/news_admin.php');
            deleteArticle($intId, $isConfirmed);
            break;
        case 'submit_edit' :
            include_once ('modules/news/news_admin.php');
            submitEditArticle($_POST);
            neRedirect("admin.php?mod=news&op=admin_news");
            break;
        case 'edit' :
            include_once ('modules/news/admin_functions.php');
            editArticle($intId);
            die();
            break;
        case 'admin_events' :
            include_once ('modules/news/admin_functions.php');
            adminNews();
            break;
            /*Functions for article related images */
        case 'upload_images' :
            include_once ('modules/news/news_linkfunctions.php');
            addLink($intId, $_POST['link_name'], $_POST['link_url']);
            die();
            break;
        case 'delete_Image' :
            include_once ('modules/news/news_linkfunctions.php');
            deleteLink($intId, $_GET['article']);
            break;
        case 'edit_images' :
            include_once ('modules/news/news_linkfunctions.php');
            editLinks($intId);
            break;
    }
}
//operations to write new articles
if (($neConfig['events']['allow_user_post'] and $neSession -> isLoggedIn()) OR ($neSession -> isAdmin($neModuleName))) {
    switch ($neOp) {
        case 'preview' :
            include_once('modules/events/events_functions.php');
            previewArticle($_POST);
            die();
            break;
        case 'new' :
            include_once('modules/events/events_functions.php');
            newArticle($_POST);
            die();
            break;
        case 'submit_add' :
            include_once('modules/events/events_functions.php');
            submitNewArticle($_POST);
            die();
            break;
    }
}
//standard operations (always accessable)
switch ($neOp) {
    case 'show_event' :
        include_once ('modules/events/event_functions.php');
        showArticle($intId);
        break;
    default :
        include ('modules/events/events_index.php');
        displayIndex($intTopic);
        break;
}
?>