<?php
/*==NukeEvent Portal System====================================================
Copyright 2002 by Christian Berg

Code based on PHP-NUKE Web Portal System Copyright (c) 2002 by
Francisco Burzi (fbc@mandrakesoft.com) http://phpnuke.org

This program is free software. You can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 or any higher Version
of the License.
=============================================================================*/

function addQuestion($intCatId,$strQuestion,$strAnswer)
{
    global $neModuleName, $neTheme, $neConfig, $neDb;
    $intCatId = (int) $intCatId;
    $strQuestion = neCheckText($strQuestion,'plain');
    $strAnswer = neCheckText($strAnswer,'ubb');
    
    $strQuery  = 'SELECT question_id ';
    $strQuery .= 'FROM '.$neConfig['db']['prefix'].'_faq_questions ';
    $strQuery .= 'ORDER BY question_id DESC ';
    $strQuery .= 'LIMIT 1';
    $intId = $neDb->getOne($strQuery);
    neGetDbError($intId,__LINE__,__FILE__,$strQuery);
    $intId++;
    
    $strQuery  = 'INSERT INTO '.$neConfig['db']['prefix'].'_faq_questions';
    $strQuery .= '(question_id,question_category,question_title,question_answer) ';
    $strQuery .= 'VALUES (';
    $strQuery .= $neDb->quote($intId).',';
    $strQuery .= $neDb->quote($intCatId).',';
    $strQuery .= $neDb->quote($strQuestion).',';
    $strQuery .= $neDb->quote($strAnswer).')';
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    
    neRedirect('index.php?mod=faq&op=show_cat&cat='.$intCatId);
}

/**
*Show Mainpage
*/
function addCategory($strFaqName)
{
    global $neModuleName, $neTheme, $neConfig, $neDb;
    
    $strFaqName = neCheckText($strFaqName,'plain');
    
    $strQuery  = 'SELECT cat_id ';
    $strQuery .= 'FROM '.$neConfig['db']['prefix'].'_faq_categories ';
    $strQuery .= 'ORDER BY cat_id DESC ';
    $strQuery .= 'LIMIT 1';
    $intId = $neDb->getOne($strQuery);
    neGetDbError($intId,__LINE__,__FILE__,$strQuery);
    $intId++;
    
    $strQuery  = 'INSERT INTO '.$neConfig ['db']['prefix'].'_faq_categories';
    $strQuery .= '(cat_id,cat_title) ';
    $strQuery .= 'VALUES (';
    $strQuery .= $neDb->quote($intId).',';
    $strQuery .= $neDb->quote($strFaqName).')';
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    
    neRedirect('index.php?mod=faq&op=show_cat&cat='.$intId);
}

/**
*edit Mainpage
*/
function editQuestion($intId)
{
    global $neModuleName, $neTheme, $neConfig, $neDb;
    
    $strQuery  = 'SELECT question_category,question_title,question_answer ';
    $strQuery .= 'FROM '.$neConfig['db']['prefix'].'_faq_questions ';
    $strQuery .= 'WHERE question_id = '.$intId;
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
}

?>
