<?php
/*==NukeEvent Portal System====================================================
Copyright 2002 by Christian Berg

Code based on PHP-NUKE Web Portal System Copyright (c) 2002 by
Francisco Burzi (fbc@mandrakesoft.com) http://phpnuke.org

This program is free software. You can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 or any higher Version
of the License.
=============================================================================*/


/**
*
*/
function getTrail() 
{
    return 'Under Construction';
}
/**
*Show Mainpage
*/
function drawMainpage(){
    global $neModuleName, $neConfig, $neDb, $neSession, $neTheme;
    $strQuery  = 'SELECT cat_id, cat_title, cat_description ';
    $strQuery .= 'FROM '.$neConfig['db']['prefix'].'_faq_categories ';
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);

    $neTheme->drawTitle(neTranslate('faq'));
    $template = $neTheme->getTemplate($neModuleName,'main.tpl');
    $template->setVariable('FAQ_MESSAGE',neTranslate('message-faq'));
    $template->setCurrentBlock('categories_list');
    while ( list($intId, $strTitle, $strDescription) = $result->fetchRow() ) {
        $template->setVariable(array(
        'TITLE' => $strTitle,
        'LINK'  => 'index.php?mod='.$neModuleName.'&amp;op=show_cat&amp;cat='.$intId,
        'DESCRIPTION' => $strDescription
        ));
        if ( $neSession->isAdmin() ) {
    	    $template->setVariable(
    	        'EDIT_LINK',
    	        '<a href="">'
    	        .$neTheme->getImage('edit',neTranslate('edit')).
    	        '</a>');
        }
        $template->parse('categories_list');
    }
    if ( $neSession->isAdmin() ) {
        $template->setCurrentBlock('admin_interface');
    	$template->setVariable(array(
    	    'LABEL_CATEGORY_NAME' => neTranslate('category_name'),
            'LABEL_ADD_CATEGORY' => neTranslate('add_category')
    	));
    	$template->parse('admin_interface');
    }

    $template->show();
    $neTheme->DrawSite(neTranslate('faq'));
}

/**
 *Shows the FAQ.
 * @param integer the Id of the FAQ
 */
function drawFAQ($intCatId){
    global $neModuleName, $neConfig, $neDb, $neSession, $neTheme;
    $tpl = $neTheme->getTemplate($neModuleName,'faq.tpl');
    $strQuery  = 'SELECT cat_id, cat_title, cat_description ';
    $strQuery .= 'FROM '.$neConfig['db']['prefix'].'_faq_categories ';
    $strQuery .= 'WHERE cat_id = '.$intCatId;
    $cat = $neDb->getRow($strQuery,DB_FETCHMODE_ASSOC);
    neGetDbError($cat,__LINE__,__FILE__,$strQuery);  
    $tpl->setVariable(array(
        'CATEGORY_ID' => $cat['cat_id'],
        'CATEGORY_NAME' => $cat['cat_title'],
        'CATEGORY_DESCRIPTION' => $cat['cat_description'],
        'TRAIL' => getTrail($intCatId)
    ));
    
    $strQuery  = 'SELECT question_id, question_title, question_answer ';
    $strQuery .= 'FROM '.$neConfig['db']['prefix'].'_faq_questions ';
    $strQuery .= 'WHERE question_category='.$intCatId.' ';
    $strQuery .= 'ORDER BY question_id ';  
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
    
    while ( $result->fetchInto($faq,DB_FETCHMODE_ASSOC) ) {
    	$tpl->setCurrentBlock('question');
    	$tpl->setVariable(array(
        'ID' => $faq['question_id'],
        'QUESTION' => $faq['question_title'],
        ));
        $tpl->parse('question');
        
        $tpl->setCurrentBlock('answer');
    	$tpl->setVariable(array(
        'ID' => (int) $faq['question_id'],
        'QUESTION' => $faq['question_title'],
        'ANSWER' => neEncodeUbb($faq['question_answer']),
        ));
        if ( $neSession->isAdmin('faq') ) {
            $tpl->setVariable(array(
            'EDIT_LINK' => '<a href="admin.php?mod=faq&amp;op=edit_question&amp;id='
                           .$faq['question_id'].'">'
                           .$neTheme->getImage('edit',neTranslate('edit'))
                           .'</a>',
            'DELETE_LINK' => $neTheme->getImage('delete',neTranslate('delete'))
            ));
        }
        $tpl->parse('answer');
    }

    if ( $neSession->isAdmin() ) {
        $tpl->setCurrentBlock('admin_interface');
    	$tpl->setVariable(array(
    	    'LABEL_ANSWER' => neTranslate('answer'),
    	    'LABEL_QUESTION' => neTranslate('question'),
            'LABEL_ADD_QUESTION' => neTranslate('add_question'),
            'UBB_BOX_ANSWER' => $neTheme->getUbbBox('answer','','10','80')
    	));
    	$tpl->parse('admin_interface');
    }
    
    $tpl->show();
    $neTheme->DrawSite(neTranslate('faq'));
}

?>