<?php
/**
* The Setuproutine for the Topics Module:
*
* @package nukeevent.modules.topics
* @author $Author: x-eniac $
* @version $Revision: 1.1 $
*/

/**
* Installs News
*/
function install()
{
    global $neDb, $neConfig;
    addModule('news','News');
    addAdminmenu('news','admin_news','Admin News');
    addAdminmenu('news','new','Write Article');

    $strQuery  = 'CREATE TABLE IF NOT EXISTS '.$neConfig['db']['prefix'].'_news (';
    $strQuery .= 'article_id int(20) unsigned NOT NULL,';
    $strQuery .= 'author int(20) unsigned NOT NULL,';
    $strQuery .= 'topic int(10) unsigned NOT NULL,';
    $strQuery .= 'title varchar(255) NOT NULL,';
    $strQuery .= 'abstract text NOT NULL,';
    $strQuery .= 'text text,';
    $strQuery .= 'created datetime NOT NULL,';
    $strQuery .= 'waiting int(1) NOT NULL default \'1\',';
    $strQuery .= 'smallimg varchar(40) default NULL, ';
    $strQuery .= 'bimimg varchar(40) default NULL,' ;
    $strQuery .= 'PRIMARY KEY  (article_id)';
    $strQuery .= ')';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery);
    $strQuery = 'CREATE TABLE IF NOT EXISTS '.$neConfig['db']['prefix'].'_news_links (
                 link_id int(3) NOT NULL default \'0\',
                 news_id int(3) NOT NULL default \'0\',
                 link_title varchar(80) NOT NULL default \'\',
                 link_url varchar(80) NOT NULL default \'\',
                 PRIMARY KEY  (`link_id`)
    ) ';
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);

    $strQuery = 'CREATE TABLE IF NOT EXISTS '.$neConfig['db']['prefix'].'_news_comments (
                 comment_id int(20) NOT NULL,
                 thread_id int(20) NOT NULL,
                 poster int(20) NOT NULL,
                 comment_title varchar(80) NOT NULL default \'\',
                 comment_text text,
                 reply_to int(20) NOT NULL,
                 PRIMARY KEY  (`thread_id`)
    ) ';
    $result = $neDb->query($strQuery);
    neGetDbError($result,__LINE__,__FILE__,$strQuery);
}

/**
* unnstalls the module
*/
function uninstall()
{
    global $neDb, $neConfig;
    removeModule('news','News');
    removeAdminmenu('news');
/*    $strQuery  = 'DROP TABLE '.$neConfig['db']['prefix'].'_news';
    $result = $neDb->query($strQuery);
    negetDbError($result,__LINE__,__FILE__,$strQuery); */
}

switch ($neOp){
    case 'install_module':
        install();
        $neTheme->drawSite();
        break;
    case 'uninstall_module':
        uninstall();
        $neTheme->drawSite();
        break;

}
?>
