<?php
/*==NukeEvent Portal System=====================================================
Copyright 2002 by Christian Berg

Code based on PHP-NUKE Web Portal System Copyright (c) 2002 by
Francisco Burzi (fbc@mandrakesoft.com) http://phpnuke.org

This program is free software. You can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 or any higher Version
of the License.
==============================================================================*/
/**
* This is the News Module for Nuke-Event.
* This File Displays an overview of the Articles
* @package reviews
* @author $Author: x-eniac $
* @version $Revision: 1.1 $
*/
neGetlang($neModuleName);

/**
* load the configuration for the News Module.
/
require_once (MODULES_PATH.'reviews/config.php');

/**
* load the common Functions for the News Module.
*/
require_once (MODULES_PATH.'reviews/reviews_functions.php');

isset($_GET['letter']) ? $letter = $_GET['letter'] : $letter = null;
isset($_GET['field'])  ? $field  = $_GET['field']  : $field = null;
isset($_GET['order'])  ? $order  = $_GET['order']  :  $order = null;

switch($neOp) {
  case 'showcontent':
    include_once('modules/reviews/reviews_show.php');
    showcontent($id, $page);
    break;

  case 'write_review':
    include_once('modules/reviews/reviews_write.php');
    write_review();
    break;

  case 'preview_review':
    include_once('modules/reviews/reviews_write.php');
    if (!empty($_FILES['cover']['name'])){
        $cover = uploadImage();
    }
    preview_review($date, $title, $text, $reviewer, $email, $score, $cover, $url, $url_title, $hits, $id, $rlanguage);
    break;

  case 'submit_review':
    include_once('modules/reviews/reviews_write.php');
    send_review($date, $title, $text, $reviewer, $email, $score, $cover, $url, $url_title, $hits, $id, $rlanguage);
    break;

  case 'del_review':
    del_review($id_del);
    break;

  case 'mod_review':
    mod_review($id);
    break;

  case 'postcomment':
    postcomment($id, $title);
    break;

  case 'savecomment':
    savecomment($xanonpost, $uname, $id, $score, $comments);
    break;

  case 'del_comment':
    del_comment($cid, $id);
    break;

  default:
    include_once('modules/reviews/reviews_index.php');  
    reviews_index($letter,$field,$order);
    break;
}

?>